diff -pruN 6.20240422/debian/changelog 6.20240603/debian/changelog
--- 6.20240422/debian/changelog	2024-04-22 22:40:47.000000000 +0000
+++ 6.20240603/debian/changelog	2024-07-03 10:33:43.000000000 +0000
@@ -1,3 +1,11 @@
+dh-python (6.20240603) unstable; urgency=medium
+
+  * Support dynamic versions in pdm.
+  * Remove broken comment detection from pydist fallback generation script.
+  * Update pydist data.
+
+ -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Jul 2024 12:33:43 +0200
+
 dh-python (6.20240422) unstable; urgency=medium
 
   * Add support for Python 3.11 and 3.12 in test_interpreter.
diff -pruN 6.20240422/dh/pybuild.pm 6.20240603/dh/pybuild.pm
--- 6.20240422/dh/pybuild.pm	2024-04-22 22:40:47.000000000 +0000
+++ 6.20240603/dh/pybuild.pm	2024-07-03 10:33:43.000000000 +0000
@@ -137,6 +137,18 @@ sub pybuild_commands {
 			$ENV{'SETUPTOOLS_SCM_PRETEND_VERSION'} = $version;
 		}
 
+		# When depends on python3-pdm-backend, set PDM_BUILD_SCM_VERSION to
+		# upstream version
+		if ((grep /python3-pdm-backend/, @deps) && !$ENV{'PDM_BUILD_SCM_VERSION'}) {
+			my $changelog = Dpkg::Changelog::Debian->new(range => {"count" => 1});
+			$changelog->load("debian/changelog");
+			my $version = @{$changelog}[0]->get_version();
+			$version =~ s/-[^-]+$//;  # revision
+			$version =~ s/^\d+://;    # epoch
+			$version =~ s/~/-/;       # ignore tilde versions
+			$ENV{'PDM_BUILD_SCM_VERSION'} = $version;
+		}
+
 		# When depends on python3-poetry-dynamic-versioning, set
 		# POETRY_DYNAMIC_VERSIONING_BYPASS to upstream version
 		if ((grep /python3-poetry-dynamic-versioning/, @deps) && !$ENV{'POETRY_DYNAMIC_VERSIONING_BYPASS'}) {
diff -pruN 6.20240422/pydist/cpython3_fallback 6.20240603/pydist/cpython3_fallback
--- 6.20240422/pydist/cpython3_fallback	2024-04-22 22:40:47.000000000 +0000
+++ 6.20240603/pydist/cpython3_fallback	2024-07-03 10:33:43.000000000 +0000
@@ -23,6 +23,7 @@ CAI python3-cai
 CCColUtils python3-cccolutils
 CDApplet cairo-dock-dbus-plug-in-interface-python
 CDBashApplet cairo-dock-dbus-plug-in-interface-python
+CIRpy python3-cirpy
 CMOR python3-cmor
 CNVkit cnvkit
 CSXCAD python3-openems
@@ -35,12 +36,15 @@ Cerberus python3-cerberus
 Cerealizer python3-cerealizer
 Chameleon python3-chameleon
 CheMPS2 python3-chemps2
+ChemSpiPy python3-chemspipy
 CherryPy python3-cherrypy3
 ClusterShell python3-clustershell
+CodraFT python3-codraft
 CommonMark_bkrs python3-commonmark-bkrs
 ConfigArgParse python3-configargparse
 ConsensusCore python3-pbconsensuscore
 Cython cython3
+DBUtils python3-dbutils
 DBussy python3-dbussy
 DNApi python3-dnapilib
 DSV python3-dsv
@@ -62,16 +66,13 @@ Endgame_Singularity singularity
 ExifRead python3-exifread
 Extractor python3-extractor
 Faker python3-fake-factory
-Flask python3-flask
 Flask_API python3-flask-api
 Flask_AppBuilder python3-flask-appbuilder
-Flask_AutoIndex python3-flask-autoindex
-Flask_BabelEx python3-flask-babelex
-Flask_BasicAuth python3-flask-basicauth
 Flask_Bcrypt python3-flask-bcrypt
 Flask_Caching python3-flask-caching
 Flask_Compress python3-flask-compress
 Flask_Cors python3-flask-cors
+Flask_DebugToolbar python3-flask-debugtoolbar
 Flask_FlatPages python3-flask-flatpages
 Flask_Gravatar python3-flask-gravatar
 Flask_HTMLmin python3-flask-htmlmin
@@ -87,7 +88,6 @@ Flask_OpenID python3-flask-openid
 Flask_Paranoid python3-flask-paranoid
 Flask_Principal python3-flask-principal
 Flask_RESTful python3-flask-restful
-Flask_SQLAlchemy python3-flask-sqlalchemy
 Flask_Security_Too python3-flask-security
 Flask_Seeder python3-flask-seeder
 Flask_Silk python3-flask-silk
@@ -113,18 +113,19 @@ GooCalendar python3-goocalendar
 Grammalecte_fr python3-grammalecte
 GridDataFormats python3-griddataformats
 Gyoto python3-gyoto
+HMMEd ghmm
 HTSeq python3-htseq
 HeapDict python3-heapdict
 HyFetch hyfetch
-HyperKitty python3-django-hyperkitty
+IMAPClient python3-imapclient
 IMDbPY python3-imdbpy
 IPy python3-ipy
 InSilicoSeq insilicoseq
 Isenkram isenkram-cli
 IsoSpecPy python3-isospec
 JACK_Client python3-jack-client
-JCC python3-jcc
 JPype1 python3-jpype
+JSON_log_formatter python3-json-log-formatter
 JUBE jube
 Jinja2 python3-jinja2
 Kaptive kaptive
@@ -136,12 +137,13 @@ Kleborate kleborate
 Kyoto_Cabinet python3-kyotocabinet
 LEPL python3-lepl
 Lektor lektor
+Levenshtein python3-levenshtein
 LibAppArmor python3-libapparmor
 LinkChecker linkchecker
 Logbook python3-logbook
 Loom brz-loom
 M2Crypto python3-m2crypto
-MACS2 macs
+MACS3 macs
 MDAnalysis python3-mdanalysis
 MDP python3-mdp
 MIDIUtil python3-midiutil
@@ -182,7 +184,6 @@ Mopidy_TuneIn mopidy-tunein
 Mopidy_dLeyna mopidy-dleyna
 Morfessor python3-morfessor
 MutatorMath python3-mutatormath
-NEURON python3-neuron
 NFStest nfstest
 NanoFilt nanofilt
 NanoLyse nanolyse
@@ -207,7 +208,6 @@ PAM python3-pam
 PGPy python3-pgpy
 PHCpy python3-phcpy
 POT python3-pot
-Pallets_Sphinx_Themes python3-pallets-sphinx-themes
 ParmEd python3-parmed
 Parsley python3-parsley
 Paste python3-paste
@@ -221,13 +221,13 @@ PeptideBuilder python3-peptidebuilder
 Pillow python3-pil
 Pint python3-pint
 Pivy python3-pivy
-Plinth freedombox
+PlotPy python3-plotpy
 Pmw python3-pmw
 Printrun printrun-common
 ProDy python3-prody
 Protego python3-protego
-PsychoPy psychopy
 PuLP python3-pulp
+PubChemPy python3-pubchempy
 Pweave python3-pweave
 Py3ODE python3-pyode
 PyAVM python3-pyavm
@@ -242,7 +242,6 @@ PyGObject python3-gi
 PyGithub python3-github
 PyGnuplot python3-pygnuplot
 PyGreSQL python3-pygresql
-PyHamcrest python3-hamcrest
 PyHoca_CLI pyhoca-cli
 PyHoca_GUI pyhoca-gui
 PyICU python3-icu
@@ -250,6 +249,7 @@ PyJWT python3-jwt
 PyKCS11 python3-pykcs11
 PyKMIP python3-pykmip
 PyLD python3-pyld
+PyLaTeX python3-pylatex
 PyMca5 python3-pymca5
 PyMeasure python3-pymeasure
 PyMeeus python3-pymeeus
@@ -258,6 +258,7 @@ PyMuPDF python3-fitz
 PyMySQL python3-pymysql
 PyNLPl python3-pynlpl
 PyNN python3-pynn
+PyNX python3-pynx
 PyNaCl python3-nacl
 PyNamecheap python3-namecheap
 PyNormaliz python3-pynormaliz
@@ -275,15 +276,14 @@ PyQt6_sip python3-pyqt6.sip
 PyQtWebEngine python3-pyqt5.qtwebengine
 PyQt_Qwt python3-pyqt5.qwt
 PyQt_builder python3-pyqtbuild
+PyRIC python3-pyric
 PyRSS2Gen python3-pyrss2gen
 PySDL2 python3-sdl2
 PySPH python3-pysph
-PySimpleSOAP python3-pysimplesoap
 PySocks python3-socks
 PyStaticConfiguration python3-staticconf
 PyStemmer python3-stemmer
 PyTrie python3-trie
-PyUtilib python3-pyutilib
 PyVCF python3-vcf
 PyVISA python3-pyvisa
 PyVISA_py python3-pyvisa-py
@@ -295,7 +295,6 @@ PyX python3-pyx
 PyXRD python3-pyxrd
 PyYAML python3-yaml
 PyZoltan python3-pyzoltan
-Pygments python3-pygments
 Pymacs pymacs
 Pyment python3-pyment
 Pympler python3-pympler
@@ -312,9 +311,9 @@ ROPGadget python3-ropgadget
 RPi.bme280 python3-bme280
 Radicale python3-radicale
 ReParser python3-reparser
-Recoll python3-recoll
 Ren_Py python3-renpy
 RestrictedPython python3-restrictedpython
+Roadmap_Plugin trac-roadmap
 Routes python3-routes
 Rtree python3-rtree
 RunSnakeRun runsnakerun
@@ -348,13 +347,13 @@ TkinterTreectrl python3-tktreectrl
 Trac trac
 TracAccountManager trac-accountmanager
 TracCustomFieldAdmin trac-customfieldadmin
+TracHTTPAuth trac-httpauth
 TracSubcomponents trac-subcomponents
 TracWikiPrint trac-wikiprint
 TracWysiwyg trac-wysiwyg
 TracXMLRPC trac-xmlrpc
 Trololio python3-trololio
 Tubes python3-tubes
-Twisted python3-twisted
 Twomemo python3-twomemo
 TxSNI python3-txsni
 URLObject python3-urlobject
@@ -367,7 +366,6 @@ VirtualMailManager vmm
 WALinuxAgent waagent
 WSGIProxy2 python3-wsgiproxy
 WSME python3-wsme
-WTForms python3-wtforms
 WTForms_Alchemy python3-wtforms-alchemy
 WTForms_Components python3-wtforms-components
 WTForms_JSON python3-wtforms-json
@@ -375,7 +373,6 @@ WTForms_Test python3-wtforms-test
 Wand python3-wand
 WebOb python3-webob
 WebTest python3-webtest
-Werkzeug python3-werkzeug
 Whoosh python3-whoosh
 Wikkid python3-wikkid
 X3DH python3-x3dh
@@ -432,7 +429,6 @@ Yapps2 python3-yapps
 Yapsy python3-yapsy
 YubiOTP python3-yubiotp
 ZooKeeper python3-zookeeper
-_pycbf python3-pycbf
 a2d a2d
 a2wsgi python3-a2wsgi
 a38 python3-a38
@@ -448,6 +444,7 @@ actionlib_tools python3-actionlib-tools
 activipy python3-activipy
 adal python3-adal
 adapt_parser python3-adapt
+adios4dolfinx python3-adios4dolfinx
 adios_mpi python3-adios
 admesh python3-admesh
 advocate python3-advocate
@@ -460,6 +457,7 @@ agate_dbf python3-agatedbf
 agate_excel python3-agateexcel
 agate_sql python3-agatesql
 aggdraw python3-aggdraw
+aio_eapi python3-aioeapi
 aio_pika python3-aio-pika
 aioamqp python3-aioamqp
 aioapns python3-aioapns
@@ -469,6 +467,7 @@ aiodns python3-aiodns
 aiodogstatsd python3-aiodogstatsd
 aiofiles python3-aiofiles
 aioftp python3-aioftp
+aiohappyeyeballs python3-aiohappyeyeballs
 aiohttp python3-aiohttp
 aiohttp_apispec python3-aiohttp-apispec
 aiohttp_cors python3-aiohttp-cors
@@ -477,6 +476,7 @@ aiohttp_mako python3-aiohttp-mako
 aiohttp_oauthlib python3-aiohttp-oauthlib
 aiohttp_openmetrics python3-aiohttp-openmetrics
 aiohttp_proxy python3-aiohttp-proxy
+aiohttp_retry python3-aiohttp-retry
 aiohttp_security python3-aiohttp-security
 aiohttp_session python3-aiohttp-session
 aiohttp_socks python3-aiohttp-socks
@@ -489,6 +489,7 @@ aiomeasures python3-aiomeasures
 aiomysql python3-aiomysql
 aionotify python3-aionotify
 aioopenssl python3-aioopenssl
+aiooui python3-aiooui
 aiopg python3-aiopg
 aioprocessing python3-aioprocessing
 aioquic python3-aioquic
@@ -498,6 +499,7 @@ aioresponses python3-aioresponses
 aiormq python3-aiormq
 aiorpcX python3-aiorpcx
 aiortc python3-aiortc
+aioruuvigateway python3-aioruuvigateway
 aiorwlock python3-aiorwlock
 aiosasl python3-aiosasl
 aiosignal python3-aiosignal
@@ -506,6 +508,7 @@ aiosmtplib python3-aiosmtplib
 aiosqlite python3-aiosqlite
 aiostream python3-aiostream
 aiotask_context python3-aiotask-context
+aiounittest python3-aiounittest
 aioxmlrpc python3-aioxmlrpc
 aioxmpp python3-aioxmpp
 aiozipkin python3-aiozipkin
@@ -546,6 +549,7 @@ angles python3-angles
 aniso8601 python3-aniso8601
 anndata python3-anndata
 annexremote python3-annexremote
+annotated_types python3-annotated-types
 anonip anonip
 anosql python3-anosql
 ansi python3-ansi
@@ -557,6 +561,7 @@ ansible_pygments python3-ansible-pygment
 ansible_runner python3-ansible-runner
 ansicolors python3-colors
 ansimarkup python3-ansimarkup
+anta python3-anta
 antimeridian python3-antimeridian
 antlr python3-antlr
 antlr4_python3_runtime python3-antlr4
@@ -564,6 +569,7 @@ anyio python3-anyio
 anyjson python3-anyjson
 anymarkup python3-anymarkup
 anymarkup_core python3-anymarkup-core
+anytree python3-anytree
 aodh python3-aodh
 aodhclient python3-aodhclient
 apache_libcloud python3-libcloud
@@ -588,9 +594,7 @@ apt_clone apt-clone
 apt_offline apt-offline
 apt_venv apt-venv
 apt_xapian_index apt-xapian-index
-aptfs aptfs
 aptly_api_client python3-aptly-api-client
-ara python3-ara
 arabic_reshaper python3-arabic-reshaper
 arandr arandr
 archmage archmage
@@ -623,11 +627,14 @@ asdf_transform_schemas python3-asdf-tran
 asdf_wcs_schemas python3-asdf-wcs-schemas
 ase python3-ase
 asf_search python3-asf-search
+asfsmd python3-asfsmd
 asgi_csrf python3-asgi-csrf
 asgi_lifespan python3-asgi-lifespan
 asgiref python3-asgiref
+asn1 python3-asn1
 asn1crypto python3-asn1crypto
 astLib python3-astlib
+ast_decompiler python3-ast-decompiler
 asteval python3-asteval
 astor python3-astor
 astral python3-astral
@@ -645,9 +652,12 @@ astroquery python3-astroquery
 astroscrappy python3-astroscrappy
 asttokens python3-asttokens
 astunparse python3-astunparse
+asv_runner python3-asv-runner
 async_generator python3-async-generator
+async_interrupt python3-async-interrupt
 async_lru python3-async-lru
 async_timeout python3-async-timeout
+asyncclick python3-asyncclick
 asyncio_mqtt python3-asyncio-mqtt
 asyncpg python3-asyncpg
 asyncssh python3-asyncssh
@@ -671,10 +681,14 @@ automaton python3-automaton
 autopage python3-autopage
 autopep8 python3-autopep8
 autoradio autoradio
+autoray python3-autoray
 autosuspend autosuspend
+autotiling autotiling
 av python3-av
 avro python3-avro
 awesomeversion python3-awesomeversion
+awkward python3-awkward
+awkward_cpp python3-awkward
 aws_requests_auth python3-aws-requests-auth
 aws_shell aws-shell
 aws_xray_sdk python3-aws-xray-sdk
@@ -685,15 +699,20 @@ ayatanawebmail ayatana-webmail
 azure_agrifood_farming python3-azure
 azure_ai_anomalydetector python3-azure
 azure_ai_contentsafety python3-azure
+azure_ai_documentintelligence python3-azure
 azure_ai_formrecognizer python3-azure
+azure_ai_generative python3-azure
 azure_ai_language_conversations python3-azure
 azure_ai_language_questionanswering python3-azure
 azure_ai_metricsadvisor python3-azure
 azure_ai_ml python3-azure
 azure_ai_personalizer python3-azure
+azure_ai_resources python3-azure
 azure_ai_textanalytics python3-azure
 azure_ai_translation_document python3-azure
 azure_ai_translation_text python3-azure
+azure_ai_vision_face python3-azure
+azure_ai_vision_imageanalysis python3-azure
 azure_appconfiguration python3-azure
 azure_appconfiguration_provider python3-azure
 azure_applicationinsights python3-azure
@@ -728,7 +747,7 @@ azure_communication_chat python3-azure
 azure_communication_email python3-azure
 azure_communication_identity python3-azure
 azure_communication_jobrouter python3-azure
-azure_communication_networktraversal python3-azure
+azure_communication_messages python3-azure
 azure_communication_phonenumbers python3-azure
 azure_communication_rooms python3-azure
 azure_communication_sms python3-azure
@@ -737,7 +756,6 @@ azure_containerregistry python3-azure
 azure_core python3-azure
 azure_core_experimental python3-azure
 azure_cosmos python3-azure-cosmos
-azure_cosmosdb_table python3-azure-cosmosdb-table
 azure_data_tables python3-azure
 azure_datalake_store python3-azure-datalake-store
 azure_defender_easm python3-azure
@@ -755,7 +773,9 @@ azure_functions_devops_build python3-azu
 azure_graphrbac python3-azure
 azure_healthinsights_cancerprofiling python3-azure
 azure_healthinsights_clinicalmatching python3-azure
+azure_healthinsights_radiologyinsights python3-azure
 azure_identity python3-azure
+azure_identity_broker python3-azure
 azure_iot_deviceprovisioning python3-azure
 azure_iot_deviceupdate python3-azure
 azure_iot_modelsrepository python3-azure
@@ -777,6 +797,7 @@ azure_messaging_webpubsubservice python3
 azure_mgmt_advisor python3-azure
 azure_mgmt_agrifood python3-azure
 azure_mgmt_alertsmanagement python3-azure
+azure_mgmt_apicenter python3-azure
 azure_mgmt_apimanagement python3-azure
 azure_mgmt_app python3-azure
 azure_mgmt_appcomplianceautomation python3-azure
@@ -784,12 +805,14 @@ azure_mgmt_appconfiguration python3-azur
 azure_mgmt_appcontainers python3-azure
 azure_mgmt_applicationinsights python3-azure
 azure_mgmt_appplatform python3-azure
+azure_mgmt_astro python3-azure
 azure_mgmt_attestation python3-azure
 azure_mgmt_authorization python3-azure
 azure_mgmt_automanage python3-azure
 azure_mgmt_automation python3-azure
 azure_mgmt_avs python3-azure
 azure_mgmt_azurearcdata python3-azure
+azure_mgmt_azurelargeinstance python3-azure
 azure_mgmt_azurestack python3-azure
 azure_mgmt_azurestackhci python3-azure
 azure_mgmt_baremetalinfrastructure python3-azure
@@ -834,6 +857,7 @@ azure_mgmt_deploymentmanager python3-azu
 azure_mgmt_desktopvirtualization python3-azure
 azure_mgmt_devcenter python3-azure
 azure_mgmt_devhub python3-azure
+azure_mgmt_deviceregistry python3-azure
 azure_mgmt_deviceupdate python3-azure
 azure_mgmt_devspaces python3-azure
 azure_mgmt_devtestlabs python3-azure
@@ -855,21 +879,26 @@ azure_mgmt_frontdoor python3-azure
 azure_mgmt_graphservices python3-azure
 azure_mgmt_guestconfig python3-azure
 azure_mgmt_hanaonazure python3-azure
+azure_mgmt_hardwaresecuritymodules python3-azure
 azure_mgmt_hdinsight python3-azure
+azure_mgmt_hdinsightcontainers python3-azure
 azure_mgmt_healthbot python3-azure
 azure_mgmt_healthcareapis python3-azure
 azure_mgmt_hybridcompute python3-azure
+azure_mgmt_hybridconnectivity python3-azure
 azure_mgmt_hybridcontainerservice python3-azure
 azure_mgmt_hybridkubernetes python3-azure
 azure_mgmt_hybridnetwork python3-azure
 azure_mgmt_imagebuilder python3-azure
 azure_mgmt_iotcentral python3-azure
+azure_mgmt_iotfirmwaredefense python3-azure
 azure_mgmt_iothub python3-azure
 azure_mgmt_iothubprovisioningservices python3-azure
 azure_mgmt_keyvault python3-azure
 azure_mgmt_kubernetesconfiguration python3-azure
 azure_mgmt_kusto python3-azure
 azure_mgmt_labservices python3-azure
+azure_mgmt_largeinstance python3-azure
 azure_mgmt_loadtesting python3-azure
 azure_mgmt_loganalytics python3-azure
 azure_mgmt_logic python3-azure
@@ -877,6 +906,7 @@ azure_mgmt_logz python3-azure
 azure_mgmt_machinelearningcompute python3-azure
 azure_mgmt_machinelearningservices python3-azure
 azure_mgmt_maintenance python3-azure
+azure_mgmt_managedapplications python3-azure
 azure_mgmt_managednetworkfabric python3-azure
 azure_mgmt_managedservices python3-azure
 azure_mgmt_managementgroups python3-azure
@@ -884,12 +914,14 @@ azure_mgmt_managementpartner python3-azu
 azure_mgmt_maps python3-azure
 azure_mgmt_marketplaceordering python3-azure
 azure_mgmt_media python3-azure
+azure_mgmt_migrationdiscoverysap python3-azure
 azure_mgmt_mixedreality python3-azure
 azure_mgmt_mobilenetwork python3-azure
 azure_mgmt_monitor python3-azure
 azure_mgmt_msi python3-azure
 azure_mgmt_netapp python3-azure
 azure_mgmt_network python3-azure
+azure_mgmt_networkanalytics python3-azure
 azure_mgmt_networkcloud python3-azure
 azure_mgmt_networkfunction python3-azure
 azure_mgmt_newrelicobservability python3-azure
@@ -900,6 +932,7 @@ azure_mgmt_operationsmanagement python3-
 azure_mgmt_orbital python3-azure
 azure_mgmt_paloaltonetworksngfw python3-azure
 azure_mgmt_peering python3-azure
+azure_mgmt_playwrighttesting python3-azure
 azure_mgmt_policyinsights python3-azure
 azure_mgmt_portal python3-azure
 azure_mgmt_powerbidedicated python3-azure
@@ -912,6 +945,7 @@ azure_mgmt_quota python3-azure
 azure_mgmt_rdbms python3-azure
 azure_mgmt_recoveryservices python3-azure
 azure_mgmt_recoveryservicesbackup python3-azure
+azure_mgmt_recoveryservicesdatareplication python3-azure
 azure_mgmt_recoveryservicessiterecovery python3-azure
 azure_mgmt_redhatopenshift python3-azure
 azure_mgmt_redis python3-azure
@@ -939,9 +973,13 @@ azure_mgmt_servicefabricmanagedclusters
 azure_mgmt_servicelinker python3-azure
 azure_mgmt_servicenetworking python3-azure
 azure_mgmt_signalr python3-azure
+azure_mgmt_sphere python3-azure
+azure_mgmt_springappdiscovery python3-azure
 azure_mgmt_sql python3-azure
 azure_mgmt_sqlvirtualmachine python3-azure
+azure_mgmt_standbypool python3-azure
 azure_mgmt_storage python3-azure
+azure_mgmt_storageactions python3-azure
 azure_mgmt_storagecache python3-azure
 azure_mgmt_storageimportexport python3-azure
 azure_mgmt_storagemover python3-azure
@@ -961,20 +999,24 @@ azure_mgmt_web python3-azure
 azure_mgmt_webpubsub python3-azure
 azure_mgmt_workloadmonitor python3-azure
 azure_mgmt_workloads python3-azure
+azure_mgmt_workloadssapvirtualinstance python3-azure
 azure_mixedreality_authentication python3-azure
 azure_mixedreality_remoterendering python3-azure
 azure_monitor_ingestion python3-azure
+azure_monitor_opentelemetry python3-azure
 azure_monitor_opentelemetry_exporter python3-azure
 azure_monitor_query python3-azure
 azure_multiapi_storage python3-azure-multiapi-storage
 azure_openai python3-azure
 azure_purview_administration python3-azure
 azure_purview_catalog python3-azure
+azure_purview_datamap python3-azure
 azure_purview_scanning python3-azure
 azure_purview_sharing python3-azure
 azure_purview_workflow python3-azure
 azure_schemaregistry python3-azure
 azure_schemaregistry_avroencoder python3-azure
+azure_schemaregistry_avroserializer python3-azure
 azure_search_documents python3-azure
 azure_security_attestation python3-azure
 azure_servicebus python3-azure
@@ -999,7 +1041,6 @@ babelfish python3-babelfish
 backcall python3-backcall
 backdoor_factory backdoor-factory
 backoff python3-backoff
-backup2swift python3-backup2swift
 backupchecker backupchecker
 baler python3-baler
 banal python3-banal
@@ -1017,15 +1058,16 @@ bashate python3-bashate
 bayespy python3-bayespy
 bcbio_gff python3-bcbio-gff
 bcc python3-bpfcc
-bcdoc python3-bcdoc
 bcrypt python3-bcrypt
 bdebstrap bdebstrap
+bdflib bdflib
 bdfproxy bdfproxy
 bdist_nsi python3-bdist-nsi
 bdsf python3-bdsf
 beanbag python3-beanbag
 beanbag_docutils python3-beanbag-docutils
 beancount python3-beancount
+beartype python3-beartype
 beautifulsoup4 python3-bs4
 behave python3-behave
 bel_resources python3-bel-resources
@@ -1071,6 +1113,7 @@ blaeu blaeu
 blag blag
 bleach python3-bleach
 bleak python3-bleak
+bleak_retry_connector python3-bleak-retry-connector
 blessed python3-blessed
 blessings python3-blessings
 blinker python3-blinker
@@ -1078,8 +1121,12 @@ blis python3-cython-blis
 blockdiag python3-blockdiag
 bloom python3-bloom
 blosc python3-blosc
+bluetooth_adapters python3-bluetooth-adapters
+bluetooth_auto_recovery python3-bluetooth-auto-recovery
+bluetooth_data_tools python3-bluetooth-data-tools
+bluetooth_sensor_state_data python3-bluetooth-sensor-state-data
 blurhash_python python3-blurhash
-bmaptools bmap-tools
+bmaptool bmap-tools
 bmtk python3-bmtk
 boltons python3-boltons
 bondpy python3-bondpy
@@ -1089,13 +1136,13 @@ boolean.py python3-boolean
 booleanOperations python3-booleanoperations
 borgbackup borgbackup
 borgmatic borgmatic
-boto python3-boto
 boto3 python3-boto3
 botocore python3-botocore
 bottle python3-bottle
 bottle_beaker python3-bottle-beaker
 bottle_cork python3-bottle-cork
 bottle_sqlite python3-bottle-sqlite
+bpack python3-bpack
 bpython bpython
 bqplot python3-bqplot
 braceexpand python3-braceexpand
@@ -1107,6 +1154,7 @@ brebis brebis
 breezy python3-breezy
 brial python3-brial
 broadlink python3-broadlink
+brotlicffi python3-brotlicffi
 brz_debian brz-debian
 brz_etckeeper etckeeper
 bsddb3 python3-bsddb3
@@ -1114,6 +1162,7 @@ btchip_python python3-btchip
 btest btest
 btrfs python3-btrfs
 btrfsutil python3-btrfsutil
+btsocket python3-btsocket
 bugwarrior bugwarrior
 build python3-build
 buildbot buildbot
@@ -1127,6 +1176,7 @@ bundlewrap bundlewrap
 bx_python python3-bx
 bytecode python3-bytecode
 cachecontrol python3-cachecontrol
+cached_ipaddress python3-cached-ipaddress
 cached_property python3-cached-property
 cachelib python3-cachelib
 cachetools python3-cachetools
@@ -1135,6 +1185,7 @@ cachy python3-cachy
 cairocffi python3-cairocffi
 caldav python3-caldav
 calendarweek python3-calendarweek
+calendra python3-calendra
 calmjs python3-calmjs
 calmjs.parse python3-calmjs.parse
 calmjs.types python3-calmjs.types
@@ -1151,7 +1202,6 @@ capstone python3-capstone
 carbon graphite-carbon
 carburetor carburetor
 casa_formats_io python3-casa-formats-io
-case python3-case
 cassandra_driver python3-cassandra
 castellan python3-castellan
 catalogue python3-catalogue
@@ -1168,8 +1218,11 @@ cclib python3-cclib
 cctbx python3-cctbx
 cdiff python3-cdiff
 cdist cdist
+cdl python3-datalab
+cdlclient python3-cdlclient
 cdo python3-cdo
 cdsapi python3-cdsapi
+cdsetool python3-cdsetool
 cecilia cecilia
 cedar_backup3 cedar-backup3
 ceilometer python3-ceilometer
@@ -1181,8 +1234,9 @@ celery_progress python3-celery-progress
 censys python3-censys
 ceph python3-ceph-common
 ceph_iscsi ceph-iscsi
-ceph_volume ceph-osd
+ceph_volume ceph-volume
 cephfs python3-cephfs
+cephfs_shell cephfs-shell
 cephfs_top cephfs-top
 certbot python3-certbot
 certbot_apache python3-certbot-apache
@@ -1219,11 +1273,11 @@ characteristic python3-characteristic
 chardet python3-chardet
 charset_normalizer python3-charset-normalizer
 chartkick python3-chartkick
-chaussette chaussette
 check_manifest check-manifest
 check_patroni check-patroni
 cheroot python3-cheroot
 chirp chirp
+chocolate python3-chocolate
 ci_info python3-ci-info
 cif2cell python3-cif2cell
 cigar python3-cigar
@@ -1268,6 +1322,7 @@ cloup python3-cloup
 cluster python3-cluster
 cmaes python3-cmaes
 cmake_annotate cmake-format
+cmake_build_extension python3-cmake-build-extension
 cmake_format cmake-format
 cmake_lint cmake-format
 cmake_parse cmake-format
@@ -1281,10 +1336,12 @@ cobra python3-cobra
 cockpit cockpit-bridge
 codegen python3-codegen
 codespell codespell
+codetiming python3-codetiming
 codicefiscale python3-codicefiscale
 cogapp python3-cogapp
 cogent3 python3-cogent3
 cognitive_complexity python3-cognitive-complexity
+coincidence python3-coincidence
 colcon_argcomplete python3-colcon-argcomplete
 colcon_bash python3-colcon-bash
 colcon_cd python3-colcon-cd
@@ -1320,7 +1377,7 @@ colorspacious python3-colorspacious
 colorzero python3-colorzero
 colour python3-colour
 comm python3-comm
-commando python3-commando
+command_runner python3-command-runner
 commentjson python3-commentjson
 commonmark python3-commonmark
 compreffor python3-compreffor
@@ -1342,15 +1399,21 @@ consonance python3-consonance
 constantly python3-constantly
 constraint_grammar python3-cg3
 construct python3-construct
-construct_legacy python3-construct.legacy
+contextily python3-contextily
 contextlib2 python3-contextlib2
 contourpy python3-contourpy
+controku python3-controku
 convertdate python3-convertdate
+conway_polynomials sagemath-database-conway-polynomials
 cookiecutter python3-cookiecutter
 cookies python3-cookies
 cooler python3-cooler
 coreapi python3-coreapi
+corehttp python3-azure
+coremltools python3-coremltools
 coreschema python3-coreschema
+corner python3-corner
+cotengrust python3-cotengrust
 cotyledon python3-cotyledon
 countrynames python3-countrynames
 covdefaults python3-covdefaults
@@ -1365,6 +1428,7 @@ cptrace python3-ptrace
 cpuset python3-cpuset
 cracklib python3-cracklib
 cram python3-cram
+cramjam python3-cramjam
 crashtest python3-crashtest
 crayons python3-crayons
 crc32c python3-crc32c
@@ -1373,6 +1437,7 @@ crcelk python3-crcelk
 crcmod python3-crcmod
 createrepo_c python3-createrepo-c
 crispy_bootstrap3 python3-crispy-bootstrap3
+crispy_bootstrap4 python3-crispy-bootstrap4
 crispy_bootstrap5 python3-crispy-bootstrap5
 crispy_forms_foundation python3-django-crispy-forms-foundation
 crit criu
@@ -1404,6 +1469,7 @@ cupshelpers python3-cupshelpers
 cursive python3-cursive
 curtsies python3-curtsies
 custodia python3-custodia
+custodian python3-custodian
 customidenticon python3-customidenticon
 cutadapt python3-cutadapt
 cuteSV cutesv
@@ -1420,6 +1486,7 @@ cwl_utils python3-cwl-utils
 cwlformat cwlformat
 cwltest cwltest
 cwltool cwltool
+cxxheaderparser python3-cxxheaderparser
 cyarray python3-cyarray
 cycle cycle
 cycler python3-cycler
@@ -1430,6 +1497,7 @@ cymruwhois python3-cymruwhois
 cypari2 python3-cypari2
 cytoolz python3-cytoolz
 cyvcf2 python3-cyvcf2
+czt python3-czt
 d2to1 python3-d2to1
 dacite python3-dacite
 daemonize python3-daemonize
@@ -1449,7 +1517,6 @@ datalad_container datalad-container
 datalad_next python3-datalad-next
 dateparser python3-dateparser
 datrie python3-datrie
-db2twitter db2twitter
 dbf python3-dbf
 dbfread python3-dbfread
 dblatex dblatex
@@ -1464,8 +1531,10 @@ ddt python3-ddt
 ddupdate ddupdate
 deap python3-deap
 debdate debdate
+debgpt debgpt
 debian_crossgrader crossgrader
 debiancontributors python3-debiancontributors
+deblur deblur
 debmake debmake
 debmutate python3-debmutate
 debocker debocker
@@ -1473,15 +1542,17 @@ debspawn debspawn
 debtags debtags
 debtcollector python3-debtcollector
 debugpy python3-debugpy
+debusine python3-debusine
 decorator python3-decorator
 deepTools python3-deeptools
 deepdiff python3-deepdiff
+deepdish python3-deepdish
 deepmerge python3-deepmerge
 deeptoolsintervals python3-deeptoolsintervals
 defcon python3-defcon
 defusedxml python3-defusedxml
 deluge deluge-common
-demjson python3-demjson
+demjson3 python3-demjson
 denss python3-denss
 depinfo python3-depinfo
 deprecation python3-deprecation
@@ -1544,6 +1615,7 @@ distro_info python3-distro-info
 dj_database_url python3-dj-database-url
 dj_static python3-dj-static
 django_admin_sortable python3-django-adminsortable
+django_adminplus python3-django-adminplus
 django_ajax_selects python3-ajax-select
 django_allauth python3-django-allauth
 django_analytical python3-django-analytical
@@ -1581,6 +1653,7 @@ django_contrib_comments python3-django-c
 django_cors_headers python3-django-cors-headers
 django_countries python3-django-countries
 django_crispy_forms python3-django-crispy-forms
+django_crum python3-django-crum
 django_csp python3-django-csp
 django_cte python3-django-cte
 django_dbbackup python3-django-dbbackup
@@ -1592,7 +1665,6 @@ django_downloadview python3-django-downl
 django_dynamic_fixture python3-django-dynamic-fixture
 django_dynamic_preferences python3-django-dynamic-preferences
 django_environ python3-django-environ
-django_etcd_settings python3-django-etcd-settings
 django_extensions python3-django-extensions
 django_extra_views python3-django-extra-views
 django_favicon_plus_reloaded python3-django-favicon-plus-reloaded
@@ -1603,6 +1675,7 @@ django_fsm_admin python3-django-fsm-admi
 django_graphiql_debug_toolbar python3-django-graphiql-debug-toolbar
 django_gravatar2 python3-django-gravatar2
 django_guardian python3-django-guardian
+django_guid python3-django-guid
 django_haystack python3-django-haystack
 django_health_check python3-django-health-check
 django_housekeeping python3-django-housekeeping
@@ -1657,7 +1730,7 @@ django_prometheus python3-django-prometh
 django_push_notifications python3-django-push-notifications
 django_pyscss python3-django-pyscss
 django_python3_ldap python3-django-python3-ldap
-django_q python3-django-q
+django_q2 python3-django-q
 django_qr_code python3-django-qr-code
 django_ranged_response python3-django-ranged-response
 django_ratelimit python3-django-ratelimit
@@ -1681,15 +1754,18 @@ django_simple_captcha python3-django-cap
 django_simple_history python3-django-simple-history
 django_simple_redis_admin python3-django-redis-admin
 django_sitetree python3-django-sitetree
+django_solo python3-django-solo
 django_sortedm2m python3-sortedm2m
 django_split_settings python3-django-split-settings
 django_storages python3-django-storages
 django_stronghold python3-django-stronghold
+django_structlog python3-django-structlog
 django_tables2 python3-django-tables2
 django_tagging python3-django-tagging
 django_taggit python3-django-taggit
 django_tastypie python3-django-tastypie
 django_templated_email python3-django-templated-email
+django_test_migrations python3-django-test-migrations
 django_timezone_field python3-django-timezone-field
 django_titofisto python3-django-titofisto
 django_tree_queries python3-django-tree-queries
@@ -1721,11 +1797,13 @@ dmsh python3-dmsh
 dna_jellyfish python3-dna-jellyfish
 dnaio python3-dnaio
 dnarrange dnarrange
+dnf python3-dnf
 dns_lexicon python3-lexicon
 dnsdiag dnsdiag
 dnslib python3-dnslib
 dnspython python3-dnspython
 dnsq python3-dnsq
+dnsrecon dnsrecon
 dnstwist dnstwist
 dnsviz dnsviz
 doc8 python3-doc8
@@ -1780,12 +1858,14 @@ dtrx dtrx
 dtschema dt-schema
 duckpy python3-duckpy
 duecredit python3-duecredit
+duet python3-duet
 dugong python3-dugong
 dulwich python3-dulwich
 dunamai python3-dunamai
 duniterpy python3-duniterpy
 duo_client python3-duo-client
 duplicity duplicity
+durdraw durdraw
 dxchange python3-dxchange
 dxf2gcode dxf2gcode
 dxfile python3-dxfile
@@ -1809,9 +1889,8 @@ ecmwflibs python3-ecmwflibs
 edgegrid_python python3-edgegrid
 editables python3-editables
 edlib python3-edlib
-efilter python3-efilter
+edlio python3-edlio
 einsteinpy python3-einsteinpy
-elastalert elastalert
 elasticsearch python3-elasticsearch
 elasticsearch_curator python3-elasticsearch-curator
 elementpath python3-elementpath
@@ -1822,12 +1901,14 @@ emmet_core python3-emmet-core
 emoji python3-emoji
 emperor python3-emperor
 empy python3-empy
+endesive python3-endesive
 enet python3-enet
 enjarify enjarify
 enlighten python3-enlighten
 enmerkar python3-enmerkar
 enrich python3-enrich
 entrypoints python3-entrypoints
+enum_tools python3-enum-tools
 envisage python3-envisage
 envparse python3-envparse
 envs python3-envs
@@ -1855,7 +1936,6 @@ eventlet python3-eventlet
 ewah_bool_utils python3-ewah-bool-utils
 ewmh python3-ewmh
 exabgp python3-exabgp
-exam python3-exam
 exceptiongroup python3-exceptiongroup
 exchangelib python3-exchangelib
 execnet python3-execnet
@@ -1931,6 +2011,7 @@ fingerprints python3-fingerprints
 fints python3-fints
 fiona python3-fiona
 fire python3-fire
+firehose python3-firehose
 first python3-first
 fissix python3-fissix
 fisx python3-fisx
@@ -1952,11 +2033,13 @@ flake8_import_order python3-flake8-impor
 flake8_mutable python3-flake8-mutable
 flake8_noqa python3-flake8-noqa
 flake8_polyfill python3-flake8-polyfill
+flake8_pytest python3-flake8-pytest
 flake8_quotes python3-flake8-quotes
 flake8_spellcheck python3-flake8-spellcheck
 flaky python3-flaky
 flanker python3-flanker
 flasgger python3-flasgger
+flask python3-flask
 flask_babel python3-flask-babel
 flask_dance python3-flask-dance
 flask_marshmallow python3-flask-marshmallow
@@ -1965,6 +2048,7 @@ flask_multistatic python3-flaskext.multi
 flask_paginate python3-flask-paginate
 flask_peewee python3-flask-peewee
 flask_session python3-flask-session
+flask_sqlalchemy python3-flask-sqlalchemy
 flask_talisman python3-flask-talisman
 flask_wtf python3-flaskext.wtf
 flatbuffers python3-flatbuffers
@@ -1977,12 +2061,13 @@ flit_scm python3-flit-scm
 flox python3-flox
 fluent_logger python3-fluent-logger
 flufl.bounce python3-flufl.bounce
-flufl.enum python3-flufl.enum
-flufl.i18n python3-flufl.i18n
-flufl.lock python3-flufl.lock
 flufl.testing python3-flufl.testing
+flufl_enum python3-flufl.enum
+flufl_i18n python3-flufl.i18n
+flufl_lock python3-flufl.lock
 fluids python3-fluids
 fluster_conformance fluster
+flux_led python3-flux-led
 flye flye
 folium python3-folium
 fontMath python3-fontmath
@@ -1994,8 +2079,10 @@ foolscap python3-foolscap
 formiko formiko
 fortls fortran-language-server
 fparser python3-fparser
+fpdf2 python3-fpdf
 fpylll python3-fpylll
 fpyutils python3-fpyutils
+fqdn python3-fqdn
 freeart python3-freeart
 freedom_maker freedom-maker
 freenom python3-freenom
@@ -2003,15 +2090,13 @@ freesas python3-freesas
 freesasa python3-freesasa
 freetype_py python3-freetype
 freezegun python3-freezegun
-freezer python3-freezer
-freezer_api python3-freezer-api
 freezer_web_ui python3-freezer-web-ui
 frescobaldi frescobaldi
 frozendict python3-frozendict
 frozenlist python3-frozenlist
 fs python3-fs
+fscacher python3-fscacher
 fsspec python3-fsspec
-fswrap python3-fswrap
 ftputil python3-ftputil
 fudge python3-fudge
 funcparserlib python3-funcparserlib
@@ -2022,7 +2107,6 @@ furo furo
 fuse_python python3-fuse
 fusepy python3-fusepy
 fusion_icon fusion-icon
-future python3-future
 futurist python3-futurist
 fuzzywuzzy python3-fuzzywuzzy
 fypp fypp
@@ -2082,6 +2166,7 @@ gfal2_util python3-gfal2-util
 gfapy python3-gfapy
 gffutils python3-gffutils
 gflanguages python3-gflanguages
+gfloat python3-gfloat
 gftools gftools
 ghdiff python3-ghdiff
 ghostscript python3-ghostscript
@@ -2119,6 +2204,7 @@ glcontext python3-glcontext
 glean_parser glean-parser
 glfw python3-pyglfw
 glob2 python3-glob2
+globus_sdk python3-globus-sdk
 glue glue-sprite
 glue_core python3-glue
 glyphsLib python3-glyphslib
@@ -2126,18 +2212,23 @@ glyphsets python3-glyphsets
 glyphspkg glyphspkg
 gmplot python3-gmplot
 gmpy2 python3-gmpy2
+gmsh python3-gmsh
 gnocchi python3-gnocchi
 gnocchiclient python3-gnocchiclient
 gnome_activity_journal gnome-activity-journal
 gnome_keysign gnome-keysign
 gnuplot_py python3-gnuplot
 gnuplotlib python3-gnuplotlib
+goodvibes python3-goodvibes
 google_api_python_client python3-googleapi
 google_auth python3-google-auth
 google_auth_httplib2 python3-google-auth-httplib2
 google_auth_oauthlib python3-google-auth-oauthlib
 google_i18n_address python3-google-i18n-address
+googleapis_common_protos python3-googleapis-common-protos
+gophian gophian
 gourmand gourmand
+govee_ble python3-govee-ble
 gpapi python3-gpapi
 gpaw gpaw
 gpfs python3-nfs-ganesha
@@ -2157,9 +2248,11 @@ graide graide
 gramps gramps
 grapefruit python3-grapefruit
 graphene python3-graphene
+graphene_directives python3-graphene-directives
 graphene_django python3-django-graphene
+graphene_federation python3-graphene-federation
+graphene_mongo python3-graphene-mongo
 graphite2 python3-graphite2
-graphite_api graphite-api
 graphite_web graphite-web
 graphql_core python3-graphql-core
 graphql_relay python3-graphql-relay
@@ -2172,6 +2265,7 @@ griffe python3-griffe
 grokevt grokevt
 grokmirror grokmirror
 grpcio python3-grpcio
+grpcio_status python3-grpcio-status
 grpcio_tools python3-grpc-tools
 gsd python3-gsd
 gssapi python3-gssapi
@@ -2193,7 +2287,7 @@ gvb gvb
 gvm_tools gvm-tools
 gwcs python3-gwcs
 gwebsockets python3-gwebsockets
-gyp gyp
+gyp_next gyp
 h11 python3-h11
 h2 python3-h2
 h5netcdf python3-h5netcdf
@@ -2201,11 +2295,14 @@ h5py python3-h5py
 h5py._debian_h5py_mpi python3-h5py-mpi
 h5py._debian_h5py_serial python3-h5py-serial
 h5sparse python3-h5sparse
+habluetooth python3-habluetooth
 hachoir hachoir
 hacking python3-hacking
 halo python3-halo
 handy_archives python3-handy-archives
+haproxy_cmd haproxy-cmd
 haproxy_log_analysis python3-haproxy-log-analysis
+haproxyadmin python3-haproxyadmin
 hardware python3-hardware
 harmony_discord python3-harmony
 harmonypy python3-harmonypy
@@ -2213,6 +2310,7 @@ hashID hashid
 hashids python3-hashids
 hatch_fancy_pypi_readme python3-hatch-fancy-pypi-readme
 hatch_jupyter_builder python3-hatch-jupyter-builder
+hatch_mypyc python3-hatch-mypyc
 hatch_nodejs_version python3-hatch-nodejs-version
 hatch_requirements_txt python3-hatch-requirements-txt
 hatch_vcs python3-hatch-vcs
@@ -2227,7 +2325,6 @@ hdmedians python3-hdmedians
 hdmf python3-hdmf
 headerparser python3-headerparser
 healpy python3-healpy
-heat_cfntools heat-cfntools
 heat_dashboard python3-heat-dashboard
 heat_tempest_plugin heat-tempest-plugin
 helpdev helpdev
@@ -2257,6 +2354,7 @@ howdoi howdoi
 hpack python3-hpack
 hsluv python3-hsluv
 hsmwiz hsmwiz
+htcondor condor
 html2text python3-html2text
 html5_parser python3-html5-parser
 html5lib python3-html5lib
@@ -2265,6 +2363,7 @@ html_text python3-html-text
 htmlmin python3-htmlmin
 httmock python3-httmock
 http_parser python3-http-parser
+http_relay python3-http-relay
 httpbin python3-httpbin
 httpcode httpcode
 httpcore python3-httpcore
@@ -2286,10 +2385,12 @@ hy python3-hy
 hydroffice.bag python3-hydroffice.bag
 hypercorn python3-hypercorn
 hyperframe python3-hyperframe
+hyperkitty python3-django-hyperkitty
 hyperlink python3-hyperlink
 hyperspy python3-hyperspy
 hypothesis python3-hypothesis
 hypothesis_auto python3-hypothesis-auto
+hypothesmith python3-hypothesmith
 i3ipc python3-i3ipc
 i3pystatus i3pystatus
 iapws python3-iapws
@@ -2305,6 +2406,7 @@ idna python3-idna
 idseq_bench idseq-bench
 ifaddr python3-ifaddr
 igor python3-igor
+igor2 python3-igor2
 igraph python3-igraph
 ijson python3-ijson
 ilorest ilorest
@@ -2334,9 +2436,11 @@ include_server distcc-pump
 incremental python3-incremental
 indexed_gzip python3-indexed-gzip
 infinity python3-infinity
+inflate64 python3-inflate64
 inflect python3-inflect
 inflection python3-inflection
 influxdb python3-influxdb
+influxdb_client python3-influxdb-client
 iniconfig python3-iniconfig
 inifile python3-inifile
 iniparse python3-iniparse
@@ -2357,6 +2461,7 @@ intervaltree python3-intervaltree
 intervaltree_bio python3-intervaltree-bio
 invoke python3-invoke
 ionit ionit
+ionoscloud python3-ionoscloud
 iotop iotop
 iow python3-iow
 iowait python3-iowait
@@ -2389,6 +2494,7 @@ isc_dhcp_leases python3-isc-dhcp-leases
 iso3166 python3-iso3166
 iso8601 python3-iso8601
 isodate python3-isodate
+isoduration python3-isoduration
 isort python3-isort
 isosurfaces python3-isosurfaces
 isoweek python3-isoweek
@@ -2400,6 +2506,7 @@ itsdangerous python3-itsdangerous
 itypes python3-itypes
 iva iva
 j2cli j2cli
+jack jack
 janus python3-janus
 jaraco.classes python3-jaraco.classes
 jaraco.collections python3-jaraco.collections
@@ -2456,6 +2563,7 @@ junit_xml python3-junit.xml
 junitparser python3-junitparser
 junitxml python3-junitxml
 junos_eznc python3-junos-eznc
+jupyter_cache python3-jupyter-cache
 jupyter_client python3-jupyter-client
 jupyter_console python3-jupyter-console
 jupyter_core python3-jupyter-core
@@ -2464,6 +2572,7 @@ jupyter_kernel_test python3-jupyter-kern
 jupyter_packaging python3-jupyter-packaging
 jupyter_server python3-jupyter-server
 jupyter_server_mathjax python3-jupyter-server-mathjax
+jupyter_server_terminals python3-jupyter-server-terminals
 jupyter_sphinx python3-jupyter-sphinx
 jupyter_sphinx_theme python3-jupyter-sphinx-theme
 jupyter_telemetry python3-jupyter-telemetry
@@ -2472,6 +2581,7 @@ jupyterhub jupyterhub
 jupyterlab python3-jupyterlab
 jupyterlab_pygments python3-jupyterlab-pygments
 jupyterlab_server python3-jupyterlab-server
+jupytext python3-jupytext
 jwcrypto python3-jwcrypto
 kafka_python python3-kafka
 kaitaistruct python3-kaitaistruct
@@ -2489,6 +2599,7 @@ kazoo python3-kazoo
 kconfiglib python3-kconfiglib
 kdtree python3-kdtree
 keepalive python3-keepalive
+kegtron_ble python3-kegtron-ble
 keyman_config python3-keyman-config
 keymapper keymapper
 keyring python3-keyring
@@ -2525,11 +2636,14 @@ labelme labelme
 lamassemble lamassemble
 lammps python3-lammps
 langdetect python3-langdetect
+langtable python3-langtable
 languagecodes python3-languagecodes
+laniakea_spark laniakea-spark
 lark python3-lark
 laser_geometry python3-laser-geometry
 laspy python3-laspy
 laszip python3-laszip
+latex_rubber rubber
 latexcodec python3-latexcodec
 launchpadlib python3-launchpadlib
 lava_common lava-common
@@ -2552,9 +2666,11 @@ ldapdomaindump python3-ldapdomaindump
 ldappool python3-ldappool
 leather python3-leather
 lecm lecm
+led_ble python3-led-ble
 ledger_autosync ledger-autosync
 ledgerhelpers ledgerhelpers
 lefse lefse
+legion_linux python3-legion-linux
 legit legit
 leidenalg python3-leidenalg
 lensfun python3-lensfun
@@ -2571,6 +2687,7 @@ libcomps python3-libcomps
 libconcord python3-libconcord
 libconf python3-libconf
 libcst python3-libcst
+libdnf python3-libdnf
 libervia_backend libervia-backend
 libevdev python3-libevdev
 libfdt python3-libfdt
@@ -2580,6 +2697,7 @@ libknot python3-libknot
 liblarch python3-liblarch
 libnacl python3-libnacl
 libnatpmp python3-libnatpmp
+libpulse python3-libpulse
 libpysal python3-libpysal
 librecaptcha python3-librecaptcha
 librouteros python3-librouteros
@@ -2602,6 +2720,7 @@ linecache2 python3-linecache2
 linetable python3-linetable
 lingua_franca python3-lingua-franca
 linkify_it_py python3-linkify-it
+lint_rules python3-loki-ecmwf-lint-rules
 lintian_brush lintian-brush
 linux_show_player linux-show-player
 lios lios
@@ -2614,6 +2733,7 @@ llfuse python3-llfuse
 llvmlite python3-llvmlite
 lmdb python3-lmdb
 lmfit python3-lmfit
+localzone python3-localzone
 locket python3-locket
 lockfile python3-lockfile
 locust python3-locust
@@ -2627,9 +2747,11 @@ logilab_constraint python3-logilab-const
 loguru python3-loguru
 logutils python3-logutils
 logzero python3-logzero
+loki python3-loki-ecmwf
 londiste python3-londiste
 lookatme lookatme
 loompy python3-loompy
+looseversion python3-looseversion
 louis python3-louis
 lptools lptools
 lqa lqa
@@ -2651,6 +2773,7 @@ lunardate python3-lunardate
 lunr python3-lunr
 lupa python3-lupa
 lxml python3-lxml
+lxml_html_clean python3-lxml-html-clean
 lybniz lybniz
 lz4 python3-lz4
 lz4tools python3-lz4tools
@@ -2686,11 +2809,13 @@ mantis_xray mantis-xray
 manuel python3-manuel
 mapbox_earcut python3-mapbox-earcut
 mapclassify python3-mapclassify
+mapcss python3-mapcss
 mapdamage mapdamage
 mapnik python3-mapnik
 mappy python3-mappy
 mapscript python3-mapscript
 marathon python3-marathon
+mariadb python3-mariadb-connector
 marisa python3-marisa
 markdown2 python3-markdown2
 markdown_callouts python3-markdown-callouts
@@ -2708,16 +2833,17 @@ mat mat2
 mate_hud mate-hud
 mate_menu mate-menu
 mate_tweak mate-tweak
-mathlibtools mathlibtools
 matplotlib python3-matplotlib
 matplotlib_inline python3-matplotlib-inline
 matplotlib_venn python3-matplotlib-venn
+matridge python3-matridge
 matrix_common python3-matrix-common
 matrix_nio python3-matrix-nio
 matrix_sydent matrix-sydent
 matrix_synapse matrix-synapse
 matrix_synapse_ldap3 matrix-synapse-ldap3
 maturin python3-maturin
+mautrix python3-mautrix
 maxminddb python3-maxminddb
 mayavi mayavi2
 mbed_host_tests python3-mbed-host-tests
@@ -2728,6 +2854,7 @@ mccabe python3-mccabe
 mceliece python3-mceliece
 mcomix mcomix
 md_toc python3-md-toc
+mdformat mdformat
 mdit_py_plugins python3-mdit-py-plugins
 mdtraj python3-mdtraj
 mdurl python3-mdurl
@@ -2741,7 +2868,9 @@ memoized_property python3-memoized-prope
 memory_allocator python3-memory-allocator
 memory_profiler python3-memory-profiler
 memprof python3-memprof
+memray python3-memray
 menulibre menulibre
+mercantile python3-mercantile
 mercurial mercurial-common
 mercurial_extension_utils python3-mercurial-extension-utils
 mercurial_keyring mercurial-keyring
@@ -2791,7 +2920,10 @@ mkchromecast mkchromecast
 mkdocs mkdocs
 mkdocs_autorefs mkdocs-autorefs
 mkdocs_click mkdocs-click
+mkdocs_gen_files mkdocs-gen-files
 mkdocs_literate_nav mkdocs-literate-nav
+mkdocs_macros_plugin mkdocs-macros-plugin
+mkdocs_material mkdocs-material
 mkdocs_material_extensions mkdocs-material-extensions
 mkdocs_redirects mkdocs-redirects
 mkdocs_section_index mkdocs-section-index
@@ -2818,8 +2950,8 @@ moderngl python3-moderngl
 moderngl_window python3-moderngl-window
 modernize python3-libmodernize
 mofapy python3-mofapy
-moksha.common python3-moksha.common
 molotov python3-molotov
+momepy python3-momepy
 monajat python3-monajat
 monasca_statsd python3-monasca-statsd
 mongoengine python3-mongoengine
@@ -2833,7 +2965,6 @@ morris python3-morris
 motor python3-motor
 mousetrap gnome-mousetrap
 moviepy python3-moviepy
-mozilla_devscripts mozilla-devscripts
 mp_api python3-mp-api
 mpegdash python3-mpegdash
 mpi4py python3-mpi4py
@@ -2848,6 +2979,7 @@ mpmath python3-mpmath
 mpremote micropython-mpremote
 mpv python3-mpv
 mrcfile python3-mrcfile
+mrcz python3-mrcz
 mrpt python3-pymrpt
 mrtparse python3-mrtparse
 msal python3-msal
@@ -2870,17 +3002,17 @@ multiplex python3-multiplex
 multiprocess python3-multiprocess
 multiqc multiqc
 multisplitby python3-multisplitby
+multivolumefile python3-multivolumefile
 munch python3-munch
 munkres python3-munkres
-murano python3-murano
 murano_agent murano-agent
-murano_dashboard python3-murano-dashboard
 murano_pkg_check python3-murano-pkg-check
 murano_tempest_plugin murano-tempest-plugin
 murmurhash python3-murmurhash
 music python3-music
 musicbrainzngs python3-musicbrainzngs
 mutagen python3-mutagen
+mutf8 python3-mutf8
 mwclient python3-mwclient
 mwoauth python3-mwoauth
 mwparserfromhell python3-mwparserfromhell
@@ -2892,6 +3024,7 @@ mypy_extensions python3-mypy-extensions
 mypy_protobuf mypy-protobuf
 mysql_connector_python python3-mysql.connector
 mysqlclient python3-mysqldb
+myst_nb python3-myst-nb
 myst_parser python3-myst-parser
 mystic python3-mystic
 nabu python3-nabu
@@ -2899,6 +3032,7 @@ nagiosplugin python3-nagiosplugin
 nagstamon nagstamon
 nala nala
 nameparser python3-nameparser
+nanobind python3-nanobind
 nanoget python3-nanoget
 nanomath python3-nanomath
 napari python3-napari
@@ -2920,6 +3054,7 @@ ncclient python3-ncclient
 ncls python3-ncls
 ndcube python3-ndcube
 ndg_httpsclient python3-ndg-httpsclient
+nemo_compare nemo-compare
 neo python3-neo
 nest_asyncio python3-nest-asyncio
 netCDF4 python3-netcdf4
@@ -2934,8 +3069,8 @@ network_wrapper python3-network
 networking_bagpipe python3-networking-bagpipe
 networking_baremetal python3-ironic-neutron-agent
 networking_bgpvpn python3-networking-bgpvpn
+networking_generic_switch python3-networking-generic-switch
 networking_l2gw python3-networking-l2gw
-networking_mlnx python3-networking-mlnx
 networking_sfc python3-networking-sfc
 networkx python3-networkx
 neutron python3-neutron
@@ -2949,12 +3084,14 @@ nextstrain_augur augur
 nfsometer nfsometer
 nftables python3-nftables
 ngs python3-ngs
+ngsPETSc python3-ngspetsc
 nibabel python3-nibabel
 nicotine_plus nicotine
 nine python3-nine
 nipy python3-nipy
 nipype python3-nipype
 nitime python3-nitime
+nixio python3-nixio
 nltk python3-nltk
 nml nml
 nodeenv nodeenv
@@ -2963,12 +3100,7 @@ nordugrid_arc_nagios_plugins nordugrid-a
 normality python3-normality
 nose python3-nose
 nose2 python3-nose2
-noseOfYeti python3-noseofyeti
-nose_exclude python3-nose-exclude
-nose_parameterized python3-nose-parameterized
-nose_random python3-nose-random
-nose_timer python3-nose-timer
-nosehtmloutput python3-nosehtmloutput
+noseofyeti python3-noseofyeti
 nosexcover python3-nosexcover
 notcurses python3-notcurses
 notebook python3-notebook
@@ -3002,6 +3134,11 @@ numpydoc python3-numpydoc
 numpysane python3-numpysane
 nvchecker python3-nvchecker
 nwdiag python3-nwdiag
+nwg_clipman nwg-clipman
+nwg_displays nwg-displays
+nwg_hello nwg-hello
+nxmx python3-nxmx
+nxtomo python3-nxtomo
 nyx nyx
 oauth2client python3-oauth2client
 oauth2token python3-oauth2token
@@ -3063,7 +3200,6 @@ omegaconf python3-omegaconf
 omemo_dr python3-omemo-dr
 omgifol python3-omg
 onboard onboard
-onedrivesdk python3-onedrivesdk
 onetimepass python3-onetimepass
 onewire python3-onewire
 onioncircuits onioncircuits
@@ -3076,10 +3212,14 @@ ont_tombo tombo
 ontospy python3-ontospy
 ooolib_python python3-ooolib
 opcodes python3-opcodes
+opem python3-opem
 open3d_cpu python3-open3d
 openEMS python3-openems
 openMotor openmotor
 openTSNE python3-opentsne
+openai python3-openai
+openapi_schema_validator python3-openapi-schema-validator
+openapi_spec_validator python3-openapi-spec-validator
 opendht python3-opendht
 opendrop opendrop
 openidc_client python3-python-openidc-client
@@ -3092,7 +3232,6 @@ openshift python3-openshift
 openshot_qt openshot-qt
 openslide_python python3-openslide
 opensnitch_ui python3-opensnitch-ui
-openstack.nose_plugin python3-openstack.nose-plugin
 openstack_heat python3-heat
 openstack_placement python3-placement
 openstackdocstheme python3-openstackdocstheme
@@ -3103,6 +3242,7 @@ opentracing python3-opentracing
 openturns python3-openturns
 opentype_sanitizer python3-ots
 opgpcard opgpcard
+opt_einsum python3-opt-einsum
 optlang python3-optlang
 optuna python3-optuna
 oracledb python3-oracledb
@@ -3164,17 +3304,18 @@ osmium python3-pyosmium
 osmnx python3-osmnx
 ospd_openvas ospd-openvas
 osprofiler python3-osprofiler
-ospurge python3-ospurge
 osrf_pycommon python3-osrf-pycommon
 ostree_push ostree-push
 outcome python3-outcome
 overpass python3-overpass
 overpy python3-overpy
+overrides python3-overrides
 ovn_bgp_agent python3-ovn-bgp-agent
 ovn_octavia_provider python3-ovn-octavia-provider
 ovs python3-openvswitch
 ovsdbapp python3-ovsdbapp
 oz oz
+pa_dlna pa-dlna
 package_smoke_test python3-package-smoke-test
 packaging python3-packaging
 pacparser python3-pacparser
@@ -3184,15 +3325,18 @@ padme python3-padme
 pafy python3-pafy
 pagekite pagekite
 pager python3-pager
+paginate python3-paginate
 pagure pagure
 paho_mqtt python3-paho-mqtt
 pairtools python3-pairtools
 pako python3-pako
 paleomix paleomix
 palettable python3-palettable
+pallets_sphinx_themes python3-pallets-sphinx-themes
 pamela python3-pamela
 pamqp python3-pamqp
 pandas python3-pandas
+pandas_flavor python3-pandas-flavor
 pandoc_plantuml_filter pandoc-plantuml-filter
 pandocfilters python3-pandocfilters
 pangoLEARN python3-pangolearn
@@ -3201,8 +3345,8 @@ panoramisk python3-panoramisk
 pantalaimon python3-pantalaimon
 pantomime python3-pantomime
 panwid python3-panwid
-paperwork paperwork-gtk
 paperwork_backend paperwork-backend
+paperwork_gtk paperwork-gtk
 paperwork_shell paperwork-shell
 paq python3-paq
 parallax python3-parallax
@@ -3210,6 +3354,7 @@ parallel_fastq_dump parallel-fastq-dump
 param python3-param
 parameterized python3-parameterized
 paramiko python3-paramiko
+paramspider paramspider
 parasail python3-parasail
 parfive python3-parfive
 parse python3-parse
@@ -3219,6 +3364,7 @@ parsedatetime python3-parsedatetime
 parsel python3-parsel
 parsero parsero
 parsimonious python3-parsimonious
+parsl python3-parsl
 parso python3-parso
 partd python3-partd
 pass_audit pass-extension-audit
@@ -3248,6 +3394,7 @@ pbr python3-pbr
 pcapy python3-pcapy
 pcbasic python3-pcbasic
 pcp python3-pcp
+pcpp python3-pcpp
 pcre2 python3-pcre2
 pcs pcs
 pdb2pqr python3-pdb2pqr
@@ -3268,13 +3415,11 @@ pefile python3-pefile
 pelican pelican
 pem python3-pem
 pendulum python3-pendulum
-pep517 python3-pep517
 pep8 python3-pep8
 pep8_naming python3-pep8-naming
 percol percol
 perf linux-perf
 periodictable python3-periodictable
-persepolis persepolis
 persist_queue python3-persist-queue
 persistent python3-persistent
 persisting_theory python3-persisting-theory
@@ -3306,6 +3451,7 @@ phx_class_registry python3-phx-class-reg
 phylo_treetime python3-treetime
 picklable_itertools python3-picklable-itertools
 pickleshare python3-pickleshare
+picobox python3-picobox
 picopore python3-picopore
 piexif python3-piexif
 pigpio python3-pigpio
@@ -3313,6 +3459,7 @@ pika python3-pika
 pikepdf python3-pikepdf
 pil python3-pil
 pilkit python3-pilkit
+pillow python3-pil
 ping3 python3-ping3
 pint_xarray python3-pint-xarray
 pip python3-pip
@@ -3323,6 +3470,7 @@ pipenv pipenv
 pipsi pipsi
 pipx pipx
 pius pius
+pkb_client pkb-client
 pkgconfig python3-pkgconfig
 pkginfo python3-pkginfo
 pkihealthcheck pki-server
@@ -3337,6 +3485,7 @@ plaster_pastedeploy python3-plaster-past
 platformdirs python3-platformdirs
 platformio platformio
 pldns python3-libtrace
+plinth freedombox
 plip plip
 plotly python3-plotly
 plover plover
@@ -3357,7 +3506,10 @@ podman python3-podman
 podman_compose podman-compose
 poetry python3-poetry
 poetry_core python3-poetry-core
+poetry_dynamic_versioning python3-poetry-dynamic-versioning
+poetry_plugin_export python3-poetry-plugin-export
 poezio poezio
+pointpats python3-pointpats
 pokrok python3-pokrok
 poliastro python3-poliastro
 polib python3-polib
@@ -3384,14 +3536,15 @@ powerline_gitstatus python3-powerline-gi
 powerline_status python3-powerline
 powerline_taskwarrior python3-powerline-taskwarrior
 pox python3-pox
+ppa_dev_tools ppa-dev-tools
 ppft python3-ppft
 pplpy python3-ppl
 ppmd_cffi python3-ppmd
-pprintpp python3-pprintpp
 pprofile python3-pprofile
 praw python3-praw
 prawcore python3-prawcore
 pre_commit pre-commit
+pre_commit_hooks pre-commit-hooks
 precis_i18n python3-precis-i18n
 prefixdate python3-prefixdate
 prefixed python3-prefixed
@@ -3414,7 +3567,7 @@ pristine_lfs pristine-lfs
 proboscis python3-proboscis
 procrunner python3-procrunner
 procset python3-procset
-prodigy python3-prodigy
+prodigy_prot python3-prodigy
 profitbricks python3-profitbricks
 proglog python3-proglog
 progress python3-progress
@@ -3424,6 +3577,7 @@ project_generator python3-project-genera
 project_generator_definitions python3-project-generator-definitions
 proliantutils python3-proliantutils
 prometheus_client python3-prometheus-client
+prometheus_flask_exporter python3-prometheus-flask-exporter
 prometheus_openstack_exporter prometheus-openstack-exporter
 prometheus_pgbouncer_exporter prometheus-pgbouncer-exporter
 prometheus_xmpp_alerts prometheus-xmpp-alerts
@@ -3432,6 +3586,7 @@ prompt_toolkit python3-prompt-toolkit
 propka python3-propka
 proselint python3-proselint
 proteus tryton-proteus
+proto_plus python3-proto-plus
 protobix python3-protobix
 protobuf python3-protobuf
 prov python3-prov
@@ -3440,6 +3595,7 @@ psautohint python3-psautohint
 psd_tools python3-psd-tools
 pssh python3-psshlib
 psutil python3-psutil
+psychopy psychopy
 psycogreen python3-psycogreen
 psycopg python3-psycopg
 psycopg2 python3-psycopg2
@@ -3460,6 +3616,7 @@ pure_eval python3-pure-eval
 pure_sasl python3-pure-sasl
 puremagic python3-puremagic
 purl python3-purl
+pusimp python3-pusimp
 pwdsphinx pwdsphinx
 pwman3 pwman3
 pwntools python3-pwntools
@@ -3476,7 +3633,6 @@ pyClamd python3-pyclamd
 pyFFTW python3-pyfftw
 pyFlow python3-pyflow
 pyFltk python3-fltk
-pyIOSXR python3-pyiosxr
 pyNFFT python3-pynfft
 pyOpenSSL python3-openssl
 pyPEG2 python3-pypeg2
@@ -3484,6 +3640,7 @@ pyRFC3339 python3-rfc3339
 pyRdfa3 python3-pyrdfa
 pySFML python3-sfml
 pyScss python3-pyscss
+pyUSID python3-pyusid
 pyVows python3-pyvows
 py_cpuinfo python3-cpuinfo
 py_enigma python3-enigma
@@ -3494,6 +3651,7 @@ py_radix python3-radix
 py_stringmatching python3-py-stringmatching
 py_ubjson python3-ubjson
 py_zipkin python3-py-zipkin
+pyaarlo python3-pyaarlo
 pyabpoa python3-pyabpoa
 pyacoustid python3-acoustid
 pyaes python3-pyaes
@@ -3502,8 +3660,8 @@ pyahocorasick python3-ahocorasick
 pyalsa python3-pyalsa
 pyalsaaudio python3-alsaaudio
 pyaml python3-pretty-yaml
+pyaml_env python3-pyaml-env
 pyani python3-pyani
-pyannotate python3-pyannotate
 pyao python3-pyao
 pyaps3 python3-pyaps3
 pyarmnn python3-pyarmnn
@@ -3512,13 +3670,16 @@ pyasn1 python3-pyasn1
 pyasn1_modules python3-pyasn1-modules
 pyasn1_modules_lextudio python3-pyasn1-modules-lextudio
 pyassimp python3-pyassimp
+pyasyncore python3-pyasyncore
 pyatem python3-pyatem
 pyaxmlparser python3-pyaxmlparser
 pybadges python3-pybadges
+pybcj python3-bcj
 pybeam python3-pybeam
 pybedtools python3-pybedtools
 pybel python3-pybel
 pybind11 python3-pybind11
+pybrowsers python3-pybrowsers
 pybtex python3-pybtex
 pybtex_docutils python3-pybtex-docutils
 pybugz bugz
@@ -3526,6 +3687,7 @@ pycadf python3-pycadf
 pycairo python3-cairo
 pycallgraph python3-pycallgraph
 pycares python3-pycares
+pycbf python3-pycbf
 pycdlib python3-pycdlib
 pychess pychess
 pychm python3-chm
@@ -3533,11 +3695,13 @@ pychopper python3-pychopper
 pycirkuit pycirkuit
 pyclipper python3-pyclipper
 pyclustering python3-pyclustering
+pycm python3-pycm
 pycoQC pycoqc
 pycoast python3-pycoast
 pycodcif python3-pycodcif
 pycodestyle python3-pycodestyle
 pycollada python3-collada
+pyconify python3-pyconify
 pycosat python3-pycosat
 pycountry python3-pycountry
 pycparser python3-pycparser
@@ -3549,7 +3713,10 @@ pyct python3-pyct
 pycups python3-cups
 pycurl python3-pycurl
 pydantic python3-pydantic
+pydantic_core python3-pydantic-core
+pydantic_extra_types python3-pydantic-extra-types
 pydata_sphinx_theme python3-pydata-sphinx-theme
+pydataverse python3-pydataverse
 pydbus python3-pydbus
 pydecorate python3-pydecorate
 pydenticon python3-pydenticon
@@ -3600,22 +3767,24 @@ pygame python3-pygame
 pygame_sdl2 python3-pygame-sdl2
 pygccxml python3-pygccxml
 pygeoif python3-pygeoif
-pygeoip python3-pygeoip
 pygerrit2 python3-pygerrit2
 pyghmi python3-pyghmi
 pygit2 python3-pygit2
 pyglet python3-pyglet
 pyglossary python3-pyglossary
+pygls python3-pygls
+pygments python3-pygments
 pygmsh python3-pygmsh
 pygopherd pygopherd
-pygpu python3-pygpu
 pygrace python3-pygrace
 pygraphviz python3-pygraphviz
 pygrib python3-grib
 pygtail python3-pygtail
 pygtkspellcheck python3-gtkspellcheck
 pygtrie python3-pygtrie
+pyhamcrest python3-hamcrest
 pyhamtools python3-pyhamtools
+pyhanko_certvalidator python3-pyhanko-certvalidator
 pyhcl python3-pyhcl
 pyhdf python3-hdf4
 pyicloud python3-pyicloud
@@ -3633,6 +3802,7 @@ pykml python3-pykml
 pyknon python3-pyknon
 pykube_ng python3-pykube-ng
 pykwalify python3-pykwalify
+pylabels python3-pylabels
 pylama python3-pylama
 pylast python3-pylast
 pylatexenc python3-pylatexenc
@@ -3652,7 +3822,6 @@ pylint_django python3-pylint-django
 pylint_flask python3-pylint-flask
 pylint_plugin_utils python3-pylint-plugin-utils
 pylint_venv python3-pylint-venv
-pyls_isort python3-pylsp-isort
 pyls_spyder python3-pyls-spyder
 pylsp_mypy python3-pylsp-mypy
 pylsp_rope python3-pylsp-rope
@@ -3664,6 +3833,7 @@ pymad python3-pymad
 pymap3d python3-pymap3d
 pymatgen python3-pymatgen
 pymbar python3-pymbar
+pymbolic python3-pymbolic
 pymdown_extensions python3-pymdownx
 pymecavideo python3-mecavideo
 pymediainfo python3-pymediainfo
@@ -3674,7 +3844,6 @@ pymilter python3-milter
 pymoc python3-pymoc
 pymodbus python3-pymodbus
 pymol python3-pymol
-pymongo python3-pymongo
 pympress pympress
 pymssql python3-pymssql
 pymummer python3-pymummer
@@ -3714,13 +3883,17 @@ pyperclip python3-pyperclip
 pyperform python3-pyperform
 pyphen python3-pyphen
 pypillowfight python3-pypillowfight
+pypinyin python3-pypinyin
 pypng python3-png
 pyppd pyppd
+pyppmd python3-pyppmd
 pyprof2calltree pyprof2calltree
 pyproj python3-pyproj
 pyproject_api python3-pyproject-api
+pyproject_examples python3-pyproject-examples
 pyproject_hooks python3-pyproject-hooks
 pyproject_metadata python3-pyproject-metadata
+pyproject_parser python3-pyproject-parser
 pyprojroot python3-pyprojroot
 pypuppetdb python3-pypuppetdb
 pypureomapi python3-pypureomapi
@@ -3738,12 +3911,12 @@ pyramid_multiauth python3-pyramid-multia
 pyramid_tm python3-pyramid-tm
 pyramid_zcml python3-pyramid-zcml
 pyranges python3-pyranges
-pyrcb2 python3-pyrcb2
 pyreadstat python3-pyreadstat
 pyregfi python3-pyregfi
 pyregion python3-pyregion
 pyremctl python3-pyremctl
 pyresample python3-pyresample
+pyrgg python3-pyrgg
 pyrle python3-pyrle
 pyroma python3-pyroma
 pyroute2 python3-pyroute2
@@ -3771,16 +3944,20 @@ pysolid python3-pysolid
 pysolr python3-pysolr
 pyspectral python3-pyspectral
 pyspike python3-pyspike
+pyspnego python3-pyspnego
 pyspoa python3-pyspoa
 pysqm python3-pysqm
 pysrs python3-srs
 pysrt python3-pysrt
 pyssim python3-pyssim
 pystac python3-pystac
+pystac_client python3-pystac-client
 pystache python3-pystache
 pystemd python3-pystemd
+pystow python3-pystow
 pystray python3-pystray
 pysubnettree python3-subnettree
+pysubs2 python3-pysubs2
 pysurfer python3-surfer
 pysvn python3-svn
 pyswarms python3-pyswarms
@@ -3790,6 +3967,7 @@ pysynphot python3-pysynphot
 pytaglib python3-taglib
 pytango python3-tango
 pyte python3-pyte
+pytermgui python3-pytermgui
 pytest python3-pytest
 pytest_aiohttp python3-pytest-aiohttp
 pytest_arraydiff python3-pytest-arraydiff
@@ -3799,6 +3977,7 @@ pytest_asyncio python3-pytest-asyncio
 pytest_bdd python3-pytest-bdd
 pytest_benchmark python3-pytest-benchmark
 pytest_click python3-pytest-click
+pytest_console_scripts python3-pytest-console-scripts
 pytest_cookies python3-pytest-cookies
 pytest_cov python3-pytest-cov
 pytest_cython python3-pytest-cython
@@ -3818,13 +3997,17 @@ pytest_golden python3-pytest-golden
 pytest_helpers_namespace python3-pytest-helpers-namespace
 pytest_httpbin python3-pytest-httpbin
 pytest_httpserver python3-pytest-httpserver
+pytest_httpx python3-pytest-httpx
 pytest_instafail python3-pytest-instafail
+pytest_jupyter python3-pytest-jupyter
 pytest_lazy_fixture python3-pytest-lazy-fixture
+pytest_lazy_fixtures python3-pytest-lazy-fixtures
 pytest_localserver python3-pytest-localserver
 pytest_mock python3-pytest-mock
 pytest_mpi python3-pytest-mpi
 pytest_mpl python3-pytest-mpl
 pytest_multihost python3-pytest-multihost
+pytest_mypy_testing python3-pytest-mypy-testing
 pytest_openfiles python3-pytest-openfiles
 pytest_order python3-pytest-order
 pytest_pep8 python3-pytest-pep8
@@ -3833,14 +4016,16 @@ pytest_qt python3-pytestqt
 pytest_random_order python3-pytest-random-order
 pytest_recording python3-pytest-recording
 pytest_regressions python3-pytest-regressions
+pytest_relaxed python3-pytest-relaxed
 pytest_remotedata python3-pytest-remotedata
 pytest_repeat python3-pytest-repeat
 pytest_rerunfailures python3-pytest-rerunfailures
+pytest_retry python3-pytest-retry
 pytest_runner python3-pytest-runner
 pytest_salt python3-pytestsalt
-pytest_salt_factories python3-saltfactories
 pytest_services python3-pytest-services
 pytest_skip_markers python3-pytest-skip-markers
+pytest_socket python3-pytest-socket
 pytest_sourceorder python3-pytest-sourceorder
 pytest_subtests python3-pytest-subtests
 pytest_sugar python3-pytest-sugar
@@ -3860,7 +4045,6 @@ python3_discogs_client python3-discogs-c
 python3_lxc python3-lxc
 python3_openid python3-openid
 python3_saml python3-onelogin-saml2
-python_Levenshtein python3-levenshtein
 python_aalib python3-aalib
 python_apt python3-apt
 python_aptly python3-aptly
@@ -3882,6 +4066,7 @@ python_community python3-louvain
 python_consul python3-consul
 python_consul2 python3-consul2
 python_corepywrap python3-corepywrap
+python_coriolisclient python3-coriolisclient
 python_cpl python3-cpl
 python_crontab python3-crontab
 python_cyborgclient python3-cyborgclient
@@ -3926,7 +4111,6 @@ python_jenkins python3-jenkins
 python_jose python3-jose
 python_json_logger python3-pythonjsonlogger
 python_k8sclient python3-k8sclient
-python_karborclient python3-karborclient
 python_keycloak python3-keycloak
 python_keystoneclient python3-keystoneclient
 python_ldap python3-ldap
@@ -3936,6 +4120,7 @@ python_libnmap python3-libnmap
 python_librtmp python3-librtmp
 python_linux_procfs python3-linux-procfs
 python_lsp_black python3-pylsp-black
+python_lsp_isort python3-pylsp-isort
 python_lsp_jsonrpc python3-pylsp-jsonrpc
 python_lsp_ruff python3-pylsp-ruff
 python_lsp_server python3-pylsp
@@ -3946,6 +4131,7 @@ python_magnumclient python3-magnumclient
 python_manilaclient python3-manilaclient
 python_markdown_math python3-mdx-math
 python_masakariclient python3-masakariclient
+python_mbedtls python3-mbedtls
 python_memcached python3-memcache
 python_miio python3-miio
 python_mimeparse python3-mimeparse
@@ -3960,14 +4146,15 @@ python_neutronclient python3-neutronclie
 python_nmap python3-nmap
 python_novaclient python3-novaclient
 python_novnc python3-novnc
+python_observabilityclient python3-observabilityclient
 python_octaviaclient python3-octaviaclient
 python_olm python3-olm
 python_openflow python3-openflow
 python_openid_cla python3-openid-cla
 python_openid_teams python3-openid-teams
 python_openstackclient python3-openstackclient
+python_otbr_api python3-python-otbr-api
 python_pam python3-pampy
-python_pcl python3-pcl
 python_periphery python3-periphery
 python_pkcs11 python3-pkcs11
 python_popcon python3-popcon
@@ -3977,10 +4164,11 @@ python_prctl python3-prctl
 python_pskc python3-pskc
 python_ptrace python3-ptrace
 python_qinlingclient python3-qinlingclient
-python_qt_binding python3-python-qt-binding
 python_rapidjson python3-rapidjson
 python_redmine python3-redminelib
+python_rtmidi python3-rtmidi
 python_saharaclient python3-saharaclient
+python_samsung_mdc python3-samsung-mdc
 python_sane python3-sane
 python_scciclient python3-scciclient
 python_seamicroclient python3-seamicroclient
@@ -4003,7 +4191,6 @@ python_tempestconf python3-tempestconf
 python_termstyle python3-termstyle
 python_tr python3-tr
 python_troveclient python3-troveclient
-python_twitter python3-twitter
 python_u2flib_server python3-u2flib-server
 python_uinput python3-uinput
 python_utils python3-python-utils
@@ -4024,6 +4211,7 @@ pytkdocs python3-pytkdocs
 pytoolconfig python3-pytoolconfig
 pytools python3-pytools
 pytorch_ignite python3-torch-ignite
+pytorch_tabnet python3-tabnet
 pytrainer pytrainer
 pytray python3-pytray
 pytroll_schedule python3-trollsched
@@ -4031,11 +4219,15 @@ pytsk3 python3-tsk
 pytz python3-tz
 pytz_deprecation_shim python3-pytz-deprecation-shim
 pytzdata python3-pytzdata
+pyu2f python3-pyu2f
 pyuca python3-pyuca
 pyudev python3-pyudev
+pyunitsystem python3-pyunitsystem
 pyupgrade pyupgrade
 pyusb python3-usb
 pyutil python3-pyutil
+pyvista python3-pyvista
+pyvkfft python3-pyvkfft
 pyvmomi python3-pyvmomi
 pyvo python3-pyvo
 pywatchman python3-pywatchman
@@ -4052,8 +4244,10 @@ pyxs python3-pyxs
 pyyaml_env_tag python3-pyyaml-env-tag
 pyzabbix python3-pyzabbix
 pyzbar python3-pyzbar
+pyzipper python3-pyzipper
 pyzmq python3-zmq
 pyzor pyzor
+pyzstd python3-pyzstd
 q python3-q
 q2_alignment q2-alignment
 q2_cutadapt q2-cutadapt
@@ -4091,12 +4285,14 @@ qrencode python3-qrencode
 qrtools python3-qrtools
 qstylizer python3-qstylizer
 qt5reactor python3-qt5reactor
+qt_material python3-qt-material
 qtconsole python3-qtconsole
 qtpynodeeditor python3-qtpynodeeditor
 qtsass python3-qtsass
 quantities python3-quantities
 quark_sphinx_theme python3-quark-sphinx-theme
 quart python3-quart
+questionary python3-questionary
 questplus python3-questplus
 queuelib python3-queuelib
 quickcal quickcal
@@ -4116,23 +4312,24 @@ railroad_diagrams python3-railroad-diagr
 rally python3-rally
 rally_openstack python3-rally-openstack
 random2 python3-random2
-randomize python3-randomize
 rangehttpserver python3-rangehttpserver
 ranger_fm ranger
 rapid_photo_downloader rapid-photo-downloader
+rapidfuzz python3-rapidfuzz
 rarfile python3-rarfile
 raritan_json_rpc python3-raritan-json-rpc
 rasterio python3-rasterio
 ratelimiter python3-ratelimiter
+raven raven
 razercfg razercfg
 rbd python3-rbd
 rcon python3-rcon
 rcssmin python3-rcssmin
 rcutils python3-rcutils
 rdflib python3-rdflib
-rdflib_jsonld python3-rdflib-jsonld
 rdflib_sqlalchemy python3-rdflib-sqlalchemy
 rdiff_backup rdiff-backup
+re_assert python3-re-assert
 reactivex python3-rx
 readability_lxml python3-readability
 readlike python3-readlike
@@ -4141,9 +4338,10 @@ readucks readucks
 rebound_cli rebound
 rebulk python3-rebulk
 recan recan
+receptor_python_worker python3-receptor-python-worker
+receptorctl python3-receptorctl
 recipe_scrapers python3-recipe-scrapers
 reclass python3-reclass
-recollchm recollcmd
 recommonmark python3-recommonmark
 recurring_ical_events python3-recurring-ical-events
 redbaron python3-redbaron
@@ -4151,7 +4349,6 @@ redfishtool redfishtool
 redis python3-redis
 redis_py_cluster python3-rediscluster
 redisearch python3-redisearch-py
-rednose python3-rednose
 reedsolo python3-reedsolo
 reentry python3-reentry
 referencing python3-referencing
@@ -4194,25 +4391,29 @@ requests_toolbelt python3-requests-toolb
 requests_unixsocket python3-requests-unixsocket
 requestsexceptions python3-requestsexceptions
 requirements_detector python3-requirements-detector
-requirements_parser python3-requirement-parser
+requirements_parser python3-requirements
 resampy python3-resampy
 resolvelib python3-resolvelib
 resource_retriever python3-resource-retriever
 responses python3-responses
+respx python3-respx
+rest_framework_yaml python3-djangorestframework-yaml
 restless python3-restless
 restructuredtext_lint python3-restructuredtext-lint
 retry python3-retry
 retrying python3-retrying
-retweet retweet
 reuse reuse
 rfc3161ng python3-rfc3161ng
+rfc3339_validator python3-rfc3339-validator
 rfc3986 python3-rfc3986
+rfc3986_validator python3-rfc3986-validator
 rfc3987 python3-rfc3987
 rfc6555 python3-rfc6555
 rgw python3-rgw
 rich python3-rich
 rich_click python3-rich-click
 rickslab_gpu_utils python3-gpumodules
+ring_doorbell python3-ring-doorbell
 rioxarray python3-rioxarray
 ripe.atlas.cousteau python3-ripe-atlas-cousteau
 ripe.atlas.sagan python3-ripe-atlas-sagan
@@ -4220,6 +4421,8 @@ ripe.atlas.tools ripe-atlas-tools
 riscemu riscemu
 rjsmin python3-rjsmin
 rlPyCairo python3-rlpycairo
+rl_accel python3-rl-accel
+rl_renderPM python3-rl-renderpm
 rlp python3-rlp
 rnc2rng python3-rnc2rng
 rnp python3-rnp
@@ -4230,12 +4433,14 @@ rocksdb python3-rocksdb
 roman python3-roman
 rope python3-rope
 rosbag python3-rosbag
+rosbags python3-rosbags
 rosboost_cfg python3-rosboost-cfg
 rosclean python3-rosclean
 roscreate python3-roscreate
 rosdep python3-rosdep2
 rosdiagnostic rosdiagnostic
 rosdistro python3-rosdistro
+rosettasciio python3-rosettasciio
 rosgraph python3-rosgraph
 rosidl_adapter python3-rosidl
 rosidl_cli python3-rosidl
@@ -4246,7 +4451,6 @@ rosidl_parser python3-rosidl
 rosidl_pycommon python3-rosidl
 rosidl_typesupport_introspection_c python3-rosidl
 rosidl_typesupport_introspection_cpp python3-rosidl
-rosinstall python3-rosinstall
 rosinstall_generator python3-rosinstall-generator
 roslaunch python3-roslaunch
 roslib python3-roslib
@@ -4266,6 +4470,7 @@ roswtf python3-roswtf
 roundrobin python3-roundrobin
 rows python3-rows
 rpaths python3-rpaths
+rpcq python3-rpcq
 rpds_py python3-rpds-py
 rpl rpl
 rply python3-rply
@@ -4278,16 +4483,17 @@ rrdtool python3-rrdtool
 rsa python3-rsa
 rsendmail rsendmail
 rss2email rss2email
+rst2ansi python3-rst2ansi
 rst2pdf rst2pdf
 rstcheck python3-rstcheck
 rstcheck_core python3-rstcheck
 rstr python3-rstr
 rt python3-rt
+rtf_tokenize python3-rtf-tokenize
 rtslib_fb python3-rtslib-fb
 rtv rtv
 ruamel.yaml python3-ruamel.yaml
 ruamel.yaml.clib python3-ruamel.yaml.clib
-rubber rubber
 ruff python3-ruff
 ruffus python3-ruffus
 rules python3-django-rules
@@ -4297,16 +4503,13 @@ s3cmd s3cmd
 s3transfer python3-s3transfer
 s_tui s-tui
 sabctools python3-sabctools
+sacad sacad
 sadisplay python3-sadisplay
 safeeyes safeeyes
 sagemath_standard python3-sage
 sagenb_export python3-sagenb-export
-sahara python3-sahara
 sahara_dashboard python3-sahara-dashboard
-sahara_plugin_spark python3-sahara-plugin-spark
-sahara_plugin_vanilla python3-sahara-plugin-vanilla
 salmid salmid
-salt salt-common
 salt_pepper salt-pepper
 saneyaml python3-saneyaml
 sanlock_python python3-sanlock
@@ -4339,8 +4542,10 @@ scikit_rf python3-scikit-rf
 scipy python3-scipy
 scitrack python3-scitrack
 scoary scoary
+scooby python3-scooby
 scour python3-scour
 scp python3-scp
+scpi python3-scpi
 scramp python3-scramp
 scrape_schema_recipe python3-scrape-schema-recipe
 scrapli python3-scrapli
@@ -4355,6 +4560,7 @@ scruffington python3-scruffy
 scrypt python3-scrypt
 sdaps sdaps
 sdbus python3-sdbus
+sdjson python3-sdjson
 sdkmanager sdkmanager
 sdnotify python3-sdnotify
 seaborn python3-seaborn
@@ -4371,10 +4577,10 @@ selinux python3-selinux
 semantic_version python3-semantic-version
 semver python3-semver
 sen sen
-senlin python3-senlin
 senlin_dashboard python3-senlin-dashboard
 senlin_tempest_plugin senlin-tempest-plugin
 sensor_msgs python3-sensor-msgs
+sensor_state_data python3-sensor-state-data
 sentencepiece python3-sentencepiece
 sentinels python3-sentinels
 sentinelsat python3-sentinelsat
@@ -4400,23 +4606,24 @@ setuptools_git python3-setuptools-git
 setuptools_protobuf python3-setuptools-protobuf
 setuptools_rust python3-setuptools-rust
 setuptools_scm python3-setuptools-scm
-setuptools_scm_git_archive python3-setuptools-scm-git-archive
 sexpdata python3-sexpdata
 sfepy python3-sfepy
 sgmllib3k python3-sgmllib3k
 sgp4 python3-sgp4
 sh python3-sh
-shade python3-shade
 shapely python3-shapely
 shellescape python3-shellescape
 shellingham python3-shellingham
 shelxfile python3-shelxfile
+sherlock python3-sherlock
+sherlock_project sherlock
 shippinglabel python3-shippinglabel
 shodan python3-shodan
 shortuuid python3-shortuuid
 show_in_file_manager python3-showinfilemanager
 shtab python3-shtab
 siconos python3-siconos
+sidpy python3-sidpy
 sievelib python3-sievelib
 signedjson python3-signedjson
 silkaj silkaj
@@ -4429,6 +4636,7 @@ simpleeval python3-simpleeval
 simplegeneric python3-simplegeneric
 simplejson python3-simplejson
 simplematch python3-simplematch
+simplemonitor simplemonitor
 simplenote python3-simplenote
 simpleobsws python3-simpleobsws
 simpy python3-simpy3
@@ -4442,6 +4650,7 @@ sklearn_pandas python3-sklearn-pandas
 skorch python3-skorch
 skyfield python3-skyfield
 skytools python3-skytools
+slidge python3-slidge
 slimit python3-slimit
 slimmer python3-slimmer
 slixmpp python3-slixmpp
@@ -4453,7 +4662,6 @@ smbus2 python3-smbus2
 smclib python3-smclib
 smmap python3-smmap
 smoke_zephyr python3-smoke-zephyr
-smstrade python3-smstrade
 snakemake snakemake
 snappergui snapper-gui
 sncosmo python3-sncosmo
@@ -4470,13 +4678,13 @@ socketpool python3-socketpool
 socksio python3-socksio
 solo1 solo1-cli
 sop python3-sop
-sopel sopel
 sorl_thumbnail python3-sorl-thumbnail
 sorted_nearest python3-sorted-nearest
 sortedcollections python3-sortedcollections
 sortedcontainers python3-sortedcontainers
 sos sosreport
 soundconverter soundconverter
+soundcraft_utils soundcraft-utils
 soundfile python3-soundfile
 soundgrain soundgrain
 soupsieve python3-soupsieve
@@ -4496,6 +4704,7 @@ speechpy_fast python3-speechpy-fast
 speedtest_cli speedtest-cli
 speg python3-speg
 spf_engine python3-spf-engine
+spglib python3-spglib
 sphere python3-sphere
 sphinx python3-sphinx
 sphinx_a4doc python3-sphinx-a4doc
@@ -4504,6 +4713,7 @@ sphinx_argparse_cli python3-sphinx-argpa
 sphinx_astropy python3-sphinx-astropy
 sphinx_autoapi python3-sphinx-autoapi
 sphinx_autobuild python3-sphinx-autobuild
+sphinx_autodoc2 python3-sphinx-autodoc2
 sphinx_autodoc_typehints python3-sphinx-autodoc-typehints
 sphinx_automodapi python3-sphinx-automodapi
 sphinx_autorun python3-sphinx-autorun
@@ -4513,16 +4723,21 @@ sphinx_bootstrap_theme python3-sphinx-bo
 sphinx_celery python3-sphinx-celery
 sphinx_click python3-sphinx-click
 sphinx_code_include python3-sphinx-code-include
+sphinx_codeautolink python3-sphinx-codeautolink
+sphinx_contributors python3-sphinx-contributors
 sphinx_copybutton python3-sphinx-copybutton
 sphinx_design python3-sphinx-design
+sphinx_examples python3-sphinx-examples
 sphinx_favicon python3-sphinx-favicon
 sphinx_feature_classification python3-sphinx-feature-classification
 sphinx_gallery python3-sphinx-gallery
+sphinx_hoverxref python3-sphinx-hoverxref
 sphinx_inline_tabs python3-sphinx-inline-tabs
 sphinx_intl sphinx-intl
 sphinx_issues python3-sphinx-issues
 sphinx_jinja python3-sphinx-jinja
 sphinx_markdown_tables python3-sphinx-markdown-tables
+sphinx_mdinclude python3-sphinx-mdinclude
 sphinx_multiversion python3-sphinx-multiversion
 sphinx_notfound_page python3-sphinx-notfound-page
 sphinx_panels python3-sphinx-panels
@@ -4537,6 +4752,7 @@ sphinx_rtd_theme python3-sphinx-rtd-them
 sphinx_sitemap python3-sphinx-sitemap
 sphinx_tabs python3-sphinx-tabs
 sphinx_testing python3-sphinx-testing
+sphinx_theme_builder python3-sphinx-theme-builder
 sphinxcontrib_actdiag python3-sphinxcontrib.actdiag
 sphinxcontrib_apidoc python3-sphinxcontrib.apidoc
 sphinxcontrib_applehelp python3-sphinxcontrib.applehelp
@@ -4546,7 +4762,9 @@ sphinxcontrib_bibtex python3-sphinxcontr
 sphinxcontrib_blockdiag python3-sphinxcontrib.blockdiag
 sphinxcontrib_devhelp python3-sphinxcontrib.devhelp
 sphinxcontrib_ditaa python3-sphinxcontrib.ditaa
+sphinxcontrib_django python3-sphinxcontrib.django
 sphinxcontrib_doxylink python3-sphinxcontrib.doxylink
+sphinxcontrib_github_alt python3-sphinxcontrib-github-alt
 sphinxcontrib_htmlhelp python3-sphinxcontrib.htmlhelp
 sphinxcontrib_httpdomain python3-sphinxcontrib.httpdomain
 sphinxcontrib_images python3-sphinxcontrib.images
@@ -4556,6 +4774,7 @@ sphinxcontrib_log_cabinet python3-sphinx
 sphinxcontrib_mermaid python3-sphinxcontrib-mermaid
 sphinxcontrib_moderncmakedomain python3-sphinxcontrib.moderncmakedomain
 sphinxcontrib_nwdiag python3-sphinxcontrib.nwdiag
+sphinxcontrib_openapi python3-sphinxcontrib.openapi
 sphinxcontrib_pecanwsme python3-sphinxcontrib-pecanwsme
 sphinxcontrib_phpdomain python3-sphinxcontrib.phpdomain
 sphinxcontrib_plantuml python3-sphinxcontrib.plantuml
@@ -4566,14 +4785,17 @@ sphinxcontrib_seqdiag python3-sphinxcont
 sphinxcontrib_serializinghtml python3-sphinxcontrib.serializinghtml
 sphinxcontrib_spelling python3-sphinxcontrib.spelling
 sphinxcontrib_svg2pdfconverter python3-sphinxcontrib.svg2pdfconverter
+sphinxcontrib_towncrier python3-sphinxcontrib-towncrier
 sphinxcontrib_trio python3-sphinxcontrib.trio
 sphinxcontrib_websupport python3-sphinxcontrib.websupport
+sphinxemoji python3-sphinxemoji
 sphinxext_opengraph python3-sphinxext-opengraph
 sphinxext_rediraffe python3-sphinxext-rediraffe
 sphinxtesters python3-sphinxtesters
 sphinxygen sphinxygen
 spidev python3-spidev
 spinners python3-spinners
+sploitscan sploitscan
 spoon python3-spoon
 spopt python3-spopt
 spur python3-spur
@@ -4584,6 +4806,7 @@ spyder_memory_profiler python3-spyder-me
 spyder_reports python3-spyder-reports
 spyder_unittest python3-spyder-unittest
 spyne python3-spyne
+spython python3-spython
 sqlacodegen sqlacodegen
 sqlalchemy_migrate python3-migrate
 sqlfluff sqlfluff
@@ -4596,6 +4819,7 @@ sqlparse python3-sqlparse
 sqlreduce sqlreduce
 sqt python3-sqt
 srp python3-srp
+srptools python3-srptools
 srsly python3-srsly
 srt python3-srt
 ssdeep python3-ssdeep
@@ -4606,7 +4830,11 @@ sshoot sshoot
 sshpubkeys python3-sshpubkeys
 sshtunnel python3-sshtunnel
 sshuttle sshuttle
+stac_check python3-stac-check
+stac_validator python3-stac-validator
 stack_data python3-stack-data
+stackview python3-stackview
+stactools python3-stactools
 stardicter python3-stardicter
 starlette python3-starlette
 static3 python3-static3
@@ -4633,6 +4861,7 @@ streamdeck_ui streamdeck-ui
 streamlink python3-streamlink
 streamz python3-streamz
 stressant stressant
+strict_rfc3339 python3-strict-rfc3339
 strictyaml python3-strictyaml
 stringtemplate3 python3-stringtemplate3
 stripe python3-stripe
@@ -4667,7 +4896,7 @@ swagger_spec_validator python3-swagger-s
 swapper python3-django-swapper
 swift python3-swift
 swift_bench swift-bench
-swiftsc python3-swiftsc
+swift_tools swift-tools
 swiglpk python3-swiglpk
 sword python3-sword
 swugenerator swugenerator
@@ -4688,6 +4917,7 @@ tables python3-tables
 tablib python3-tablib
 tabulate python3-tabulate
 tagpy python3-tagpy
+tahoe_lafs tahoe-lafs
 tap.py python3-tap
 tap_as_a_service python3-neutron-taas
 taskflow python3-taskflow
@@ -4704,6 +4934,7 @@ tempest python3-tempest
 tempest_horizon horizon-tempest-plugin
 tempora python3-tempora
 tenacity python3-tenacity
+term_image python3-term-image
 termbox python3-termbox
 termcolor python3-termcolor
 terminado python3-terminado
@@ -4737,6 +4968,7 @@ tf2_ros python3-tf2-ros
 tf2_sensor_msgs python3-tf2-sensor-msgs
 tf_conversions python3-tf-conversions
 thefuzz python3-thefuzz
+thermobeacon_ble python3-thermobeacon-ble
 thinc python3-thinc
 thonny thonny
 threadpoolctl python3-threadpoolctl
@@ -4744,6 +4976,7 @@ three_merge python3-three-merge
 thrift python3-thrift
 thriftpy python3-thriftpy
 throttler python3-throttler
+thumbor_plugins_gifv python3-thumbor-plugins-gifv
 tiddit tiddit
 tifffile python3-tifffile
 tiktoken python3-tiktoken
@@ -4762,6 +4995,7 @@ tinyrpc python3-tinyrpc
 tipp tipp
 tkSnack python3-tksnack
 tkcalendar tkcalendar
+tkinter_tooltip python3-tktooltip
 tkrzw python3-tkrzw
 tld python3-tld
 tldextract python3-tldextract
@@ -4773,7 +5007,6 @@ tnseq_transit tnseq-transit
 todoman todoman
 toil toil
 tokenize_rt python3-tokenize-rt
-tomahawk python3-tomahawk
 toml python3-toml
 tomli python3-tomli
 tomli_w python3-tomli-w
@@ -4813,6 +5046,7 @@ traits python3-traits
 traitsui python3-traitsui
 traittypes python3-traittypes
 transaction python3-transaction
+transformations python3-loki-ecmwf-transformations
 transforms3d python3-transforms3d
 transip python3-transip
 transitions python3-transitions
@@ -4821,7 +5055,7 @@ translation_finder python3-translation-f
 translationstring python3-translationstring
 translitcodec python3-translitcodec
 transliterate python3-transliterate
-transmissionrpc python3-transmissionrpc
+transmission_rpc python3-transmissionrpc
 trash_cli trash-cli
 traxtor tractor
 treelib python3-treelib
@@ -4830,6 +5064,7 @@ trezor python3-trezor
 trimage trimage
 trio python3-trio
 trio_websocket python3-trio-websocket
+trml2pdf python3-trml2pdf
 trollimage python3-trollimage
 trollsift python3-trollsift
 trove python3-trove
@@ -4837,8 +5072,10 @@ trove_classifiers python3-trove-classifi
 trove_dashboard python3-trove-dashboard
 trove_tempest_plugin trove-tempest-plugin
 trufont python3-trufont
+truncnorm python3-truncnorm
 trustme python3-trustme
 truststore python3-truststore
+trx_python python3-trx-python
 trydiffoscope trydiffoscope
 tryton tryton-client
 trytond tryton-server
@@ -5010,9 +5247,9 @@ ttkthemes python3-ttkthemes
 ttystatus python3-ttystatus
 tuna tuna
 tuspy python3-tuspy
-tweepy python3-tweepy
 twilio python3-twilio
 twine twine
+twisted python3-twisted
 twms twms
 twodict python3-twodict
 twython python3-twython
@@ -5189,6 +5426,7 @@ uTidylib python3-utidylib
 u_msgpack_python python3-u-msgpack
 ua_parser python3-ua-parser
 uamqp python3-uamqp
+uart_devices python3-uart-devices
 ubelt python3-ubelt
 ubuntu_dev_tools python3-ubuntutools
 uc_micro_py python3-uc-micro
@@ -5206,17 +5444,20 @@ ufonormalizer python3-ufonormalizer
 ufw ufw
 uhashring python3-uhashring
 ujson python3-ujson
+ulid_transform python3-ulid-transform
 ulmo python3-ulmo
+ultimateultimateguitar ultimateultimateguitar
 umap_learn umap-learn
 umis umis
 unattended_upgrades unattended-upgrades
 uncalled uncalled
 uncertainties python3-uncertainties
 undertime undertime
+undetected_chromedriver python3-undetected-chromedriver
 unearth python3-unearth
-unicodecsv python3-unicodecsv
 unicodedata2 python3-unicodedata2
 unicorn python3-unicorn
+unicrypto python3-unicrypto
 unicycler unicycler
 unidiff python3-unidiff
 unifrac python3-unifrac
@@ -5240,6 +5481,7 @@ urwid_satext python3-urwid-satext
 urwid_utils python3-urwid-utils
 urwidtrees python3-urwidtrees
 usagestats python3-usagestats
+usb_devices python3-usb-devices
 usbrelay_py python3-usbrelay
 usbsdmux usbsdmux
 user_agents python3-user-agents
@@ -5271,7 +5513,7 @@ vfit vfit
 viagee viagee
 vine python3-vine
 vinetto vinetto
-virtaal virtaal
+virt_firmware python3-virt-firmware
 virtme virtme
 virtme_ng virtme-ng
 virtnbdbackup virtnbdbackup
@@ -5287,6 +5529,7 @@ vitrage python3-vitrage
 vitrage_dashboard python3-vitrage-dashboard
 vitrage_tempest_plugin vitrage-tempest-plugin
 vmdb2 vmdb2
+vncdotool vncdotool
 vobject python3-vobject
 volatile python3-volatile
 voltron voltron
@@ -5309,7 +5552,8 @@ wasabi python3-wasabi
 watchdog python3-watchdog
 watcher_dashboard python3-watcher-dashboard
 watcher_tempest_plugin watcher-tempest-plugin
-watchgod python3-watchgod
+watchfiles python3-watchfiles
+waymore waymore
 wcag_contrast_ratio python3-wcag-contrast-ratio
 wchartype python3-wchartype
 wcmatch python3-wcmatch
@@ -5317,6 +5561,7 @@ wcwidth python3-wcwidth
 wdlparse python3-wdlparse
 weasyprint weasyprint
 web.py python3-webpy
+web_cache python3-web-cache
 webargs python3-webargs
 webassets python3-webassets
 webcolors python3-webcolors
@@ -5329,18 +5574,19 @@ websockets python3-websockets
 websockify python3-websockify
 websploit websploit
 webvtt_py python3-webvtt
+werkzeug python3-werkzeug
 wfuzz wfuzz
 wget python3-wget
 whatmaps whatmaps
 whatthepatch python3-whatthepatch
 wheel python3-wheel
 wheezy.template python3-wheezy.template
+whey python3-whey
 whichcraft python3-whichcraft
 whipper whipper
 whisper python3-whisper
 whitenoise python3-whitenoise
 whois python3-whois
-widgetsnbextension python3-widgetsnbextension
 wifite wifite
 wikitrans python3-wikitrans
 wilderness python3-wilderness
@@ -5350,7 +5596,6 @@ wither python3-wither
 wlc wlc
 wokkel python3-wokkel
 wordcloud python3-wordcloud
-workalendar python3-workalendar
 wrapt python3-wrapt
 ws4py python3-ws4py
 wsaccel python3-wsaccel
@@ -5358,8 +5603,8 @@ wsgi_intercept python3-wsgi-intercept
 wsgicors python3-wsgicors
 wsgilog python3-wsgilog
 wsproto python3-wsproto
-wstool python3-wstool
 wtf_peewee python3-wtf-peewee
+wtforms python3-wtforms
 wurlitzer python3-wurlitzer
 wxPython python3-wxgtk4.0
 wxmplot python3-wxmplot
@@ -5371,7 +5616,6 @@ xandikos xandikos
 xapers xapers
 xapian_haystack python3-xapian-haystack
 xarray python3-xarray
-xarray_datatree python3-xarray-datatree
 xarray_safe_rcm python3-xarray-safe-rcm
 xarray_safe_s1 python3-xarray-safe-s1
 xarray_sentinel python3-xarray-sentinel
@@ -5383,6 +5627,7 @@ xdoctest python3-xdoctest
 xdot xdot
 xeus_python_shell python3-xeus-python-shell
 xgboost python3-xgboost
+xgflib xgridfit
 xhtml2pdf python3-xhtml2pdf
 xkcd python3-xkcd
 xkcdpass xkcdpass
@@ -5411,13 +5656,13 @@ xtermcolor python3-xtermcolor
 xvfbwrapper python3-xvfbwrapper
 xxdiff_scripts xxdiff-scripts
 xxhash python3-xxhash
+xypattern python3-xypattern
 xyzservices python3-xyzservices
 y_py python3-ypy
 yamlfix python3-yamlfix
 yamllint yamllint
 yamlordereddictloader python3-yamlordereddictloader
 yanagiba yanagiba
-yanc python3-nose-yanc
 yanosim yanosim
 yapf python3-yapf
 yappi python3-yappi
@@ -5429,13 +5674,13 @@ yarl python3-yarl
 yarsync yarsync
 yaswfp python3-yaswfp
 yattag python3-yattag
-yenc python3-yenc
 yokadi yokadi
 yoyo_migrations python3-yoyo
 yq yq
 yt python3-yt
 yt_dlp yt-dlp
 yte python3-yte
+yubihsm python3-yubihsm
 yubikey_manager python3-ykman
 zake python3-zake
 zaqar python3-zaqar
@@ -5446,6 +5691,7 @@ zc.buildout python3-zc.buildout
 zc.customdoctests python3-zc.customdoctests
 zc.lockfile python3-zc.lockfile
 zeep python3-zeep
+zenmap zenmap
 zeroconf python3-zeroconf
 zfec python3-zfec
 zict python3-zict
@@ -5461,6 +5707,7 @@ zodbpickle python3-zodbpickle
 zombie_imp python3-zombie-imp
 zope.component python3-zope.component
 zope.configuration python3-zope.configuration
+zope.deferredimport python3-zope.deferredimport
 zope.deprecation python3-zope.deprecation
 zope.event python3-zope.event
 zope.exceptions python3-zope.exceptions
diff -pruN 6.20240422/pydist/generate_fallback_list.py 6.20240603/pydist/generate_fallback_list.py
--- 6.20240422/pydist/generate_fallback_list.py	2024-04-22 22:40:47.000000000 +0000
+++ 6.20240603/pydist/generate_fallback_list.py	2024-07-03 10:33:43.000000000 +0000
@@ -93,13 +93,7 @@ result = {
     'cpython3': {}
 }
 
-# Contents file doesn't contain comment these days
-is_header = not data.startswith('bin')
 for line in data.splitlines():
-    if is_header:
-        if line.startswith('FILE'):
-            is_header = False
-        continue
     try:
         path, desc = line.rsplit(maxsplit=1)
     except ValueError:
